import{s as rr,o as sr,n as or}from"../chunks/scheduler.182ea377.js";import{S as nr,i as ir,g as s,s as n,p as f,A as lr,h as o,f as r,c as i,j as c,q as g,m as h,k as d,v as t,a as u,r as v,d as _,t as S,u as b}from"../chunks/index.008d68e4.js";import{T as dr}from"../chunks/Tip.4f096367.js";import{D as x}from"../chunks/Docstring.7aec8b85.js";import{I as et}from"../chunks/IconCopyLink.96bbb92b.js";function ar(Le){let m,z=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){m=s("p"),m.textContent=z},l($){m=o($,"P",{"data-svelte-h":!0}),h(m)!=="svelte-95n5s"&&(m.textContent=z)},m($,D){u($,m,D)},p:or,d($){$&&r(m)}}}function pr(Le){let m,z,$,D,ye,j,tt,ae,Mt="DPMSolverSinglestepScheduler",Fe,U,wt='<code>DPMSolverSinglestepScheduler</code> is a single step scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',ke,W,Ct=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,Ee,J,Lt='The original implementation can be found at <a href="https://github.com/LuChengTHU/dpm-solver" rel="nofollow">LuChengTHU/dpm-solver</a>.',Oe,T,C,Me,B,rt,pe,Ft="Tips",Ae,G,kt="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",He,Y,Et=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,Ie,y,L,we,Z,st,ce,Ot="DPMSolverSinglestepScheduler",Ne,l,K,ot,ue,At="<code>DPMSolverSinglestepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.",nt,he,Ht=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,it,P,R,lt,me,It=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,dt,F,at,k,Q,pt,fe,Nt="One step for the first-order DPMSolver (equivalent to DDIM).",ct,E,X,ut,ge,qt="Computes the solver order at each time step.",ht,O,ee,mt,ve,Vt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,ft,A,te,gt,_e,zt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",vt,H,re,_t,Se,jt=`One step for the second-order singlestep DPMSolver that computes the solution at time <code>prev_timestep</code> from the
time <code>timestep_list[-2]</code>.`,St,I,se,bt,be,Ut=`One step for the third-order singlestep DPMSolver that computes the solution at time <code>prev_timestep</code> from the
time <code>timestep_list[-3]</code>.`,$t,N,oe,xt,$e,Wt="One step for the singlestep DPMSolver.",Dt,q,ne,Pt,xe,Jt=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the singlestep DPMSolver.`,qe,M,V,Ce,ie,Tt,De,Bt="SchedulerOutput",Ve,w,le,yt,Pe,Gt="Base class for the output of a scheduler’s <code>step</code> function.",ze;return j=new et({}),B=new et({}),Z=new et({}),K=new x({props:{name:"class diffusers.DPMSolverSinglestepScheduler",anchor:"diffusers.DPMSolverSinglestepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Optional = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverSinglestepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverSinglestepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverSinglestepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverSinglestepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverSinglestepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverSinglestepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverSinglestepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverSinglestepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverSinglestepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverSinglestepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverSinglestepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverSinglestepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverSinglestepScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverSinglestepScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L76"}}),R=new x({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverSinglestepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSinglestepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L385",returnDescription:`
<p>The converted model output.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),F=new dr({props:{$$slots:{default:[ar]},$$scope:{ctx:Le}}}),Q=new x({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L474",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),X=new x({props:{name:"get_order_list",anchor:"diffusers.DPMSolverSinglestepScheduler.get_order_list",parameters:[{name:"num_inference_steps",val:": int"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.get_order_list.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L202"}}),ee=new x({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverSinglestepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L870",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),te=new x({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverSinglestepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverSinglestepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L243"}}),re=new x({props:{name:"singlestep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current and latter discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L530",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),se=new x({props:{name:"singlestep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current and latter discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L624",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),oe=new x({props:{name:"singlestep_dpm_solver_update",anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"order",val:": int = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current and latter discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.order",description:`<strong>order</strong> (<code>int</code>) &#x2014;
The solver order at this step.`,name:"order"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L728",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),ne=new x({props:{name:"step",anchor:"diffusers.DPMSolverSinglestepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSinglestepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverSinglestepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L809",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),ie=new et({}),le=new x({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){m=s("meta"),z=n(),$=s("h1"),D=s("a"),ye=s("span"),f(j.$$.fragment),tt=n(),ae=s("span"),ae.textContent=Mt,Fe=n(),U=s("p"),U.innerHTML=wt,ke=n(),W=s("p"),W.textContent=Ct,Ee=n(),J=s("p"),J.innerHTML=Lt,Oe=n(),T=s("h2"),C=s("a"),Me=s("span"),f(B.$$.fragment),rt=n(),pe=s("span"),pe.textContent=Ft,Ae=n(),G=s("p"),G.innerHTML=kt,He=n(),Y=s("p"),Y.innerHTML=Et,Ie=n(),y=s("h2"),L=s("a"),we=s("span"),f(Z.$$.fragment),st=n(),ce=s("span"),ce.textContent=Ot,Ne=n(),l=s("div"),f(K.$$.fragment),ot=n(),ue=s("p"),ue.innerHTML=At,nt=n(),he=s("p"),he.innerHTML=Ht,it=n(),P=s("div"),f(R.$$.fragment),lt=n(),me=s("p"),me.textContent=It,dt=n(),f(F.$$.fragment),at=n(),k=s("div"),f(Q.$$.fragment),pt=n(),fe=s("p"),fe.textContent=Nt,ct=n(),E=s("div"),f(X.$$.fragment),ut=n(),ge=s("p"),ge.textContent=qt,ht=n(),O=s("div"),f(ee.$$.fragment),mt=n(),ve=s("p"),ve.textContent=Vt,ft=n(),A=s("div"),f(te.$$.fragment),gt=n(),_e=s("p"),_e.textContent=zt,vt=n(),H=s("div"),f(re.$$.fragment),_t=n(),Se=s("p"),Se.innerHTML=jt,St=n(),I=s("div"),f(se.$$.fragment),bt=n(),be=s("p"),be.innerHTML=Ut,$t=n(),N=s("div"),f(oe.$$.fragment),xt=n(),$e=s("p"),$e.textContent=Wt,Dt=n(),q=s("div"),f(ne.$$.fragment),Pt=n(),xe=s("p"),xe.textContent=Jt,qe=n(),M=s("h2"),V=s("a"),Ce=s("span"),f(ie.$$.fragment),Tt=n(),De=s("span"),De.textContent=Bt,Ve=n(),w=s("div"),f(le.$$.fragment),yt=n(),Pe=s("p"),Pe.innerHTML=Gt,this.h()},l(e){const a=lr("svelte-1phssyn",document.head);m=o(a,"META",{name:!0,content:!0}),a.forEach(r),z=i(e),$=o(e,"H1",{class:!0});var de=c($);D=o(de,"A",{id:!0,class:!0,href:!0});var Yt=c(D);ye=o(Yt,"SPAN",{});var Zt=c(ye);g(j.$$.fragment,Zt),Zt.forEach(r),Yt.forEach(r),tt=i(de),ae=o(de,"SPAN",{"data-svelte-h":!0}),h(ae)!=="svelte-9aihuw"&&(ae.textContent=Mt),de.forEach(r),Fe=i(e),U=o(e,"P",{"data-svelte-h":!0}),h(U)!=="svelte-zw7rt6"&&(U.innerHTML=wt),ke=i(e),W=o(e,"P",{"data-svelte-h":!0}),h(W)!=="svelte-l6rv24"&&(W.textContent=Ct),Ee=i(e),J=o(e,"P",{"data-svelte-h":!0}),h(J)!=="svelte-1mk5p6f"&&(J.innerHTML=Lt),Oe=i(e),T=o(e,"H2",{class:!0});var je=c(T);C=o(je,"A",{id:!0,class:!0,href:!0});var Kt=c(C);Me=o(Kt,"SPAN",{});var Rt=c(Me);g(B.$$.fragment,Rt),Rt.forEach(r),Kt.forEach(r),rt=i(je),pe=o(je,"SPAN",{"data-svelte-h":!0}),h(pe)!=="svelte-12o6a2j"&&(pe.textContent=Ft),je.forEach(r),Ae=i(e),G=o(e,"P",{"data-svelte-h":!0}),h(G)!=="svelte-pt2glg"&&(G.innerHTML=kt),He=i(e),Y=o(e,"P",{"data-svelte-h":!0}),h(Y)!=="svelte-18sd27c"&&(Y.innerHTML=Et),Ie=i(e),y=o(e,"H2",{class:!0});var Ue=c(y);L=o(Ue,"A",{id:!0,class:!0,href:!0});var Qt=c(L);we=o(Qt,"SPAN",{});var Xt=c(we);g(Z.$$.fragment,Xt),Xt.forEach(r),Qt.forEach(r),st=i(Ue),ce=o(Ue,"SPAN",{"data-svelte-h":!0}),h(ce)!=="svelte-9aihuw"&&(ce.textContent=Ot),Ue.forEach(r),Ne=i(e),l=o(e,"DIV",{class:!0});var p=c(l);g(K.$$.fragment,p),ot=i(p),ue=o(p,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-1g2jbmp"&&(ue.innerHTML=At),nt=i(p),he=o(p,"P",{"data-svelte-h":!0}),h(he)!=="svelte-linuuh"&&(he.innerHTML=Ht),it=i(p),P=o(p,"DIV",{class:!0});var Te=c(P);g(R.$$.fragment,Te),lt=i(Te),me=o(Te,"P",{"data-svelte-h":!0}),h(me)!=="svelte-1st02i8"&&(me.textContent=It),dt=i(Te),g(F.$$.fragment,Te),Te.forEach(r),at=i(p),k=o(p,"DIV",{class:!0});var We=c(k);g(Q.$$.fragment,We),pt=i(We),fe=o(We,"P",{"data-svelte-h":!0}),h(fe)!=="svelte-4nw43d"&&(fe.textContent=Nt),We.forEach(r),ct=i(p),E=o(p,"DIV",{class:!0});var Je=c(E);g(X.$$.fragment,Je),ut=i(Je),ge=o(Je,"P",{"data-svelte-h":!0}),h(ge)!=="svelte-13tpuy9"&&(ge.textContent=qt),Je.forEach(r),ht=i(p),O=o(p,"DIV",{class:!0});var Be=c(O);g(ee.$$.fragment,Be),mt=i(Be),ve=o(Be,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-1rkfgpx"&&(ve.textContent=Vt),Be.forEach(r),ft=i(p),A=o(p,"DIV",{class:!0});var Ge=c(A);g(te.$$.fragment,Ge),gt=i(Ge),_e=o(Ge,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-1vzm9q"&&(_e.textContent=zt),Ge.forEach(r),vt=i(p),H=o(p,"DIV",{class:!0});var Ye=c(H);g(re.$$.fragment,Ye),_t=i(Ye),Se=o(Ye,"P",{"data-svelte-h":!0}),h(Se)!=="svelte-1rmndna"&&(Se.innerHTML=jt),Ye.forEach(r),St=i(p),I=o(p,"DIV",{class:!0});var Ze=c(I);g(se.$$.fragment,Ze),bt=i(Ze),be=o(Ze,"P",{"data-svelte-h":!0}),h(be)!=="svelte-17kajtk"&&(be.innerHTML=Ut),Ze.forEach(r),$t=i(p),N=o(p,"DIV",{class:!0});var Ke=c(N);g(oe.$$.fragment,Ke),xt=i(Ke),$e=o(Ke,"P",{"data-svelte-h":!0}),h($e)!=="svelte-zgpbva"&&($e.textContent=Wt),Ke.forEach(r),Dt=i(p),q=o(p,"DIV",{class:!0});var Re=c(q);g(ne.$$.fragment,Re),Pt=i(Re),xe=o(Re,"P",{"data-svelte-h":!0}),h(xe)!=="svelte-7earhm"&&(xe.textContent=Jt),Re.forEach(r),p.forEach(r),qe=i(e),M=o(e,"H2",{class:!0});var Qe=c(M);V=o(Qe,"A",{id:!0,class:!0,href:!0});var er=c(V);Ce=o(er,"SPAN",{});var tr=c(Ce);g(ie.$$.fragment,tr),tr.forEach(r),er.forEach(r),Tt=i(Qe),De=o(Qe,"SPAN",{"data-svelte-h":!0}),h(De)!=="svelte-1qoi9nz"&&(De.textContent=Bt),Qe.forEach(r),Ve=i(e),w=o(e,"DIV",{class:!0});var Xe=c(w);g(le.$$.fragment,Xe),yt=i(Xe),Pe=o(Xe,"P",{"data-svelte-h":!0}),h(Pe)!=="svelte-6ojmkw"&&(Pe.innerHTML=Gt),Xe.forEach(r),this.h()},h(){d(m,"name","hf:doc:metadata"),d(m,"content",JSON.stringify(cr)),d(D,"id","dpmsolversinglestepscheduler"),d(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(D,"href","#dpmsolversinglestepscheduler"),d($,"class","relative group"),d(C,"id","tips"),d(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(C,"href","#tips"),d(T,"class","relative group"),d(L,"id","diffusers.DPMSolverSinglestepScheduler"),d(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(L,"href","#diffusers.DPMSolverSinglestepScheduler"),d(y,"class","relative group"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(V,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(M,"class","relative group"),d(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,m),u(e,z,a),u(e,$,a),t($,D),t(D,ye),v(j,ye,null),t($,tt),t($,ae),u(e,Fe,a),u(e,U,a),u(e,ke,a),u(e,W,a),u(e,Ee,a),u(e,J,a),u(e,Oe,a),u(e,T,a),t(T,C),t(C,Me),v(B,Me,null),t(T,rt),t(T,pe),u(e,Ae,a),u(e,G,a),u(e,He,a),u(e,Y,a),u(e,Ie,a),u(e,y,a),t(y,L),t(L,we),v(Z,we,null),t(y,st),t(y,ce),u(e,Ne,a),u(e,l,a),v(K,l,null),t(l,ot),t(l,ue),t(l,nt),t(l,he),t(l,it),t(l,P),v(R,P,null),t(P,lt),t(P,me),t(P,dt),v(F,P,null),t(l,at),t(l,k),v(Q,k,null),t(k,pt),t(k,fe),t(l,ct),t(l,E),v(X,E,null),t(E,ut),t(E,ge),t(l,ht),t(l,O),v(ee,O,null),t(O,mt),t(O,ve),t(l,ft),t(l,A),v(te,A,null),t(A,gt),t(A,_e),t(l,vt),t(l,H),v(re,H,null),t(H,_t),t(H,Se),t(l,St),t(l,I),v(se,I,null),t(I,bt),t(I,be),t(l,$t),t(l,N),v(oe,N,null),t(N,xt),t(N,$e),t(l,Dt),t(l,q),v(ne,q,null),t(q,Pt),t(q,xe),u(e,qe,a),u(e,M,a),t(M,V),t(V,Ce),v(ie,Ce,null),t(M,Tt),t(M,De),u(e,Ve,a),u(e,w,a),v(le,w,null),t(w,yt),t(w,Pe),ze=!0},p(e,[a]){const de={};a&2&&(de.$$scope={dirty:a,ctx:e}),F.$set(de)},i(e){ze||(_(j.$$.fragment,e),_(B.$$.fragment,e),_(Z.$$.fragment,e),_(K.$$.fragment,e),_(R.$$.fragment,e),_(F.$$.fragment,e),_(Q.$$.fragment,e),_(X.$$.fragment,e),_(ee.$$.fragment,e),_(te.$$.fragment,e),_(re.$$.fragment,e),_(se.$$.fragment,e),_(oe.$$.fragment,e),_(ne.$$.fragment,e),_(ie.$$.fragment,e),_(le.$$.fragment,e),ze=!0)},o(e){S(j.$$.fragment,e),S(B.$$.fragment,e),S(Z.$$.fragment,e),S(K.$$.fragment,e),S(R.$$.fragment,e),S(F.$$.fragment,e),S(Q.$$.fragment,e),S(X.$$.fragment,e),S(ee.$$.fragment,e),S(te.$$.fragment,e),S(re.$$.fragment,e),S(se.$$.fragment,e),S(oe.$$.fragment,e),S(ne.$$.fragment,e),S(ie.$$.fragment,e),S(le.$$.fragment,e),ze=!1},d(e){e&&(r(z),r($),r(Fe),r(U),r(ke),r(W),r(Ee),r(J),r(Oe),r(T),r(Ae),r(G),r(He),r(Y),r(Ie),r(y),r(Ne),r(l),r(qe),r(M),r(Ve),r(w)),r(m),b(j),b(B),b(Z),b(K),b(R),b(F),b(Q),b(X),b(ee),b(te),b(re),b(se),b(oe),b(ne),b(ie),b(le)}}}const cr={local:"dpmsolversinglestepscheduler",sections:[{local:"tips",title:"Tips"},{local:"diffusers.DPMSolverSinglestepScheduler",title:"DPMSolverSinglestepScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverSinglestepScheduler"};function ur(Le){return sr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _r extends nr{constructor(m){super(),ir(this,m,ur,pr,rr,{})}}export{_r as component};
