import{s as nt,o as ot,n as it}from"../chunks/scheduler.182ea377.js";import{S as dt,i as ct,g as s,s as o,p as g,A as lt,h as a,f as r,c as i,j as p,q as _,m,k as d,v as t,a as f,r as v,d as $,t as x,u as b}from"../chunks/index.008d68e4.js";import{T as ut}from"../chunks/Tip.4f096367.js";import{D as B}from"../chunks/Docstring.7aec8b85.js";import{I as Ne}from"../chunks/IconCopyLink.96bbb92b.js";function pt(de){let u,P=`For more details on the parameters, see <a href="https://arxiv.org/abs/2206.00364" rel="nofollow">Appendix E</a>. The grid search values used
to find the optimal <code>{s_noise, s_churn, s_min, s_max}</code> for a specific model are described in Table 5 of the paper.`;return{c(){u=s("p"),u.innerHTML=P},l(h){u=a(h,"P",{"data-svelte-h":!0}),m(u)!=="svelte-rvbbam"&&(u.innerHTML=P)},m(h,T){f(h,u,T)},p:it,d(h){h&&r(u)}}}function ht(de){let u,P,h,T,ne,L,Se,J,ze="KarrasVeScheduler",ce,A,qe='<code>KarrasVeScheduler</code> is a stochastic sampler tailored to variance-expanding (VE) models. It is based on the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> and <a href="https://huggingface.co/papers/2011.13456" rel="nofollow">Score-based generative modeling through stochastic differential equations</a> papers.',le,S,w,oe,M,Ve,R,Ge="KarrasVeScheduler",ue,n,H,Ke,Q,Ue="A stochastic scheduler tailored to variance-expanding models.",we,X,We=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,ye,y,ke,k,I,Ce,Y,je=`Explicit Langevin-like “churn” step of adding noise to the sample according to a <code>gamma_i ≥ 0</code> to reach a
higher noise level <code>sigma_hat = sigma_i + gamma_i*sigma_i</code>.`,Oe,C,N,De,Z,Be=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Ee,O,z,Fe,ee,Je="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Pe,D,q,Le,te,Re=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,Ae,E,G,Me,re,Qe="Corrects the predicted sample based on the <code>model_output</code> of the network.",pe,V,F,ie,U,He,se,Xe="KarrasVeOutput",he,K,W,Ie,ae,Ye="Output class for the scheduler’s step function output.",me;return L=new Ne({}),M=new Ne({}),H=new B({props:{name:"class diffusers.KarrasVeScheduler",anchor:"diffusers.KarrasVeScheduler",parameters:[{name:"sigma_min",val:": float = 0.02"},{name:"sigma_max",val:": float = 100"},{name:"s_noise",val:": float = 1.007"},{name:"s_churn",val:": float = 80"},{name:"s_min",val:": float = 0.05"},{name:"s_max",val:": float = 50"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.sigma_min",description:`<strong>sigma_min</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The minimum noise magnitude.`,name:"sigma_min"},{anchor:"diffusers.KarrasVeScheduler.sigma_max",description:`<strong>sigma_max</strong> (<code>float</code>, defaults to 100) &#x2014;
The maximum noise magnitude.`,name:"sigma_max"},{anchor:"diffusers.KarrasVeScheduler.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, defaults to 1.007) &#x2014;
The amount of additional noise to counteract loss of detail during sampling. A reasonable range is [1.000,
1.011].`,name:"s_noise"},{anchor:"diffusers.KarrasVeScheduler.s_churn",description:`<strong>s_churn</strong> (<code>float</code>, defaults to 80) &#x2014;
The parameter controlling the overall amount of stochasticity. A reasonable range is [0, 100].`,name:"s_churn"},{anchor:"diffusers.KarrasVeScheduler.s_min",description:`<strong>s_min</strong> (<code>float</code>, defaults to 0.05) &#x2014;
The start value of the sigma range to add noise (enable stochasticity). A reasonable range is [0, 10].`,name:"s_min"},{anchor:"diffusers.KarrasVeScheduler.s_max",description:`<strong>s_max</strong> (<code>float</code>, defaults to 50) &#x2014;
The end value of the sigma range to add noise. A reasonable range is [0.2, 80].`,name:"s_max"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L49"}}),y=new ut({props:{$$slots:{default:[pt]},$$scope:{ctx:de}}}),I=new B({props:{name:"add_noise_to_input",anchor:"diffusers.KarrasVeScheduler.add_noise_to_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"sigma",val:": float"},{name:"generator",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.add_noise_to_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.KarrasVeScheduler.add_noise_to_input.sigma",description:"<strong>sigma</strong> (<code>float</code>) &#x2014;",name:"sigma"},{anchor:"diffusers.KarrasVeScheduler.add_noise_to_input.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L138"}}),N=new B({props:{name:"scale_model_input",anchor:"diffusers.KarrasVeScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.KarrasVeScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L99",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),z=new B({props:{name:"set_timesteps",anchor:"diffusers.KarrasVeScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.KarrasVeScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L116"}}),q=new B({props:{name:"step",anchor:"diffusers.KarrasVeScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"sigma_hat",val:": float"},{name:"sigma_prev",val:": float"},{name:"sample_hat",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.KarrasVeScheduler.step.sigma_hat",description:"<strong>sigma_hat</strong> (<code>float</code>) &#x2014;",name:"sigma_hat"},{anchor:"diffusers.KarrasVeScheduler.step.sigma_prev",description:"<strong>sigma_prev</strong> (<code>float</code>) &#x2014;",name:"sigma_prev"},{anchor:"diffusers.KarrasVeScheduler.step.sample_hat",description:"<strong>sample_hat</strong> (<code>torch.FloatTensor</code>) &#x2014;",name:"sample_hat"},{anchor:"diffusers.KarrasVeScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~schedulers.scheduling_karras_ve.KarrasVESchedulerOutput</code> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L164",returnDescription:`
<p>If return_dict is <code>True</code>, <code>~schedulers.scheduling_karras_ve.KarrasVESchedulerOutput</code> is returned,
otherwise a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><code>~schedulers.scheduling_karras_ve.KarrasVESchedulerOutput</code> or <code>tuple</code></p>
`}}),G=new B({props:{name:"step_correct",anchor:"diffusers.KarrasVeScheduler.step_correct",parameters:[{name:"model_output",val:": FloatTensor"},{name:"sigma_hat",val:": float"},{name:"sigma_prev",val:": float"},{name:"sample_hat",val:": FloatTensor"},{name:"sample_prev",val:": FloatTensor"},{name:"derivative",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.step_correct.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sigma_hat",description:"<strong>sigma_hat</strong> (<code>float</code>) &#x2014; TODO",name:"sigma_hat"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sigma_prev",description:"<strong>sigma_prev</strong> (<code>float</code>) &#x2014; TODO",name:"sigma_prev"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sample_hat",description:"<strong>sample_hat</strong> (<code>torch.FloatTensor</code>) &#x2014; TODO",name:"sample_hat"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sample_prev",description:"<strong>sample_prev</strong> (<code>torch.FloatTensor</code>) &#x2014; TODO",name:"sample_prev"},{anchor:"diffusers.KarrasVeScheduler.step_correct.derivative",description:"<strong>derivative</strong> (<code>torch.FloatTensor</code>) &#x2014; TODO",name:"derivative"},{anchor:"diffusers.KarrasVeScheduler.step_correct.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/ddpm#diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput">DDPMSchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L203",returnDescription:`
<p>updated sample in the diffusion chain. derivative (TODO): TODO</p>
`,returnType:`
<p>prev_sample (TODO)</p>
`}}),U=new Ne({}),W=new B({props:{name:"class diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput",anchor:"diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput",parameters:[{name:"prev_sample",val:": FloatTensor"},{name:"derivative",val:": FloatTensor"},{name:"pred_original_sample",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample (x_{t-1}) of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput.derivative",description:`<strong>derivative</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Derivative of predicted original image sample (x_0).`,name:"derivative"},{anchor:"diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput.pred_original_sample",description:`<strong>pred_original_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted denoised sample (x_{0}) based on the model output from the current timestep.
<code>pred_original_sample</code> can be used to preview progress or for guidance.`,name:"pred_original_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/deprecated/scheduling_karras_ve.py#L28"}}),{c(){u=s("meta"),P=o(),h=s("h1"),T=s("a"),ne=s("span"),g(L.$$.fragment),Se=o(),J=s("span"),J.textContent=ze,ce=o(),A=s("p"),A.innerHTML=qe,le=o(),S=s("h2"),w=s("a"),oe=s("span"),g(M.$$.fragment),Ve=o(),R=s("span"),R.textContent=Ge,ue=o(),n=s("div"),g(H.$$.fragment),Ke=o(),Q=s("p"),Q.textContent=Ue,we=o(),X=s("p"),X.innerHTML=We,ye=o(),g(y.$$.fragment),ke=o(),k=s("div"),g(I.$$.fragment),Ce=o(),Y=s("p"),Y.innerHTML=je,Oe=o(),C=s("div"),g(N.$$.fragment),De=o(),Z=s("p"),Z.textContent=Be,Ee=o(),O=s("div"),g(z.$$.fragment),Fe=o(),ee=s("p"),ee.textContent=Je,Pe=o(),D=s("div"),g(q.$$.fragment),Le=o(),te=s("p"),te.textContent=Re,Ae=o(),E=s("div"),g(G.$$.fragment),Me=o(),re=s("p"),re.innerHTML=Qe,pe=o(),V=s("h2"),F=s("a"),ie=s("span"),g(U.$$.fragment),He=o(),se=s("span"),se.textContent=Xe,he=o(),K=s("div"),g(W.$$.fragment),Ie=o(),ae=s("p"),ae.textContent=Ye,this.h()},l(e){const c=lt("svelte-1phssyn",document.head);u=a(c,"META",{name:!0,content:!0}),c.forEach(r),P=i(e),h=a(e,"H1",{class:!0});var j=p(h);T=a(j,"A",{id:!0,class:!0,href:!0});var Ze=p(T);ne=a(Ze,"SPAN",{});var et=p(ne);_(L.$$.fragment,et),et.forEach(r),Ze.forEach(r),Se=i(j),J=a(j,"SPAN",{"data-svelte-h":!0}),m(J)!=="svelte-rnszu1"&&(J.textContent=ze),j.forEach(r),ce=i(e),A=a(e,"P",{"data-svelte-h":!0}),m(A)!=="svelte-16ihd05"&&(A.innerHTML=qe),le=i(e),S=a(e,"H2",{class:!0});var fe=p(S);w=a(fe,"A",{id:!0,class:!0,href:!0});var tt=p(w);oe=a(tt,"SPAN",{});var rt=p(oe);_(M.$$.fragment,rt),rt.forEach(r),tt.forEach(r),Ve=i(fe),R=a(fe,"SPAN",{"data-svelte-h":!0}),m(R)!=="svelte-rnszu1"&&(R.textContent=Ge),fe.forEach(r),ue=i(e),n=a(e,"DIV",{class:!0});var l=p(n);_(H.$$.fragment,l),Ke=i(l),Q=a(l,"P",{"data-svelte-h":!0}),m(Q)!=="svelte-177z870"&&(Q.textContent=Ue),we=i(l),X=a(l,"P",{"data-svelte-h":!0}),m(X)!=="svelte-linuuh"&&(X.innerHTML=We),ye=i(l),_(y.$$.fragment,l),ke=i(l),k=a(l,"DIV",{class:!0});var ge=p(k);_(I.$$.fragment,ge),Ce=i(ge),Y=a(ge,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-8x1g23"&&(Y.innerHTML=je),ge.forEach(r),Oe=i(l),C=a(l,"DIV",{class:!0});var _e=p(C);_(N.$$.fragment,_e),De=i(_e),Z=a(_e,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-1rkfgpx"&&(Z.textContent=Be),_e.forEach(r),Ee=i(l),O=a(l,"DIV",{class:!0});var ve=p(O);_(z.$$.fragment,ve),Fe=i(ve),ee=a(ve,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-1vzm9q"&&(ee.textContent=Je),ve.forEach(r),Pe=i(l),D=a(l,"DIV",{class:!0});var $e=p(D);_(q.$$.fragment,$e),Le=i($e),te=a($e,"P",{"data-svelte-h":!0}),m(te)!=="svelte-hi84tp"&&(te.textContent=Re),$e.forEach(r),Ae=i(l),E=a(l,"DIV",{class:!0});var xe=p(E);_(G.$$.fragment,xe),Me=i(xe),re=a(xe,"P",{"data-svelte-h":!0}),m(re)!=="svelte-1h4yget"&&(re.innerHTML=Qe),xe.forEach(r),l.forEach(r),pe=i(e),V=a(e,"H2",{class:!0});var be=p(V);F=a(be,"A",{id:!0,class:!0,href:!0});var st=p(F);ie=a(st,"SPAN",{});var at=p(ie);_(U.$$.fragment,at),at.forEach(r),st.forEach(r),He=i(be),se=a(be,"SPAN",{"data-svelte-h":!0}),m(se)!=="svelte-favmah"&&(se.textContent=Xe),be.forEach(r),he=i(e),K=a(e,"DIV",{class:!0});var Te=p(K);_(W.$$.fragment,Te),Ie=i(Te),ae=a(Te,"P",{"data-svelte-h":!0}),m(ae)!=="svelte-7snghh"&&(ae.textContent=Ye),Te.forEach(r),this.h()},h(){d(u,"name","hf:doc:metadata"),d(u,"content",JSON.stringify(mt)),d(T,"id","karrasvescheduler"),d(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(T,"href","#karrasvescheduler"),d(h,"class","relative group"),d(w,"id","diffusers.KarrasVeScheduler"),d(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(w,"href","#diffusers.KarrasVeScheduler"),d(S,"class","relative group"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"id","diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput"),d(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(F,"href","#diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput"),d(V,"class","relative group"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){t(document.head,u),f(e,P,c),f(e,h,c),t(h,T),t(T,ne),v(L,ne,null),t(h,Se),t(h,J),f(e,ce,c),f(e,A,c),f(e,le,c),f(e,S,c),t(S,w),t(w,oe),v(M,oe,null),t(S,Ve),t(S,R),f(e,ue,c),f(e,n,c),v(H,n,null),t(n,Ke),t(n,Q),t(n,we),t(n,X),t(n,ye),v(y,n,null),t(n,ke),t(n,k),v(I,k,null),t(k,Ce),t(k,Y),t(n,Oe),t(n,C),v(N,C,null),t(C,De),t(C,Z),t(n,Ee),t(n,O),v(z,O,null),t(O,Fe),t(O,ee),t(n,Pe),t(n,D),v(q,D,null),t(D,Le),t(D,te),t(n,Ae),t(n,E),v(G,E,null),t(E,Me),t(E,re),f(e,pe,c),f(e,V,c),t(V,F),t(F,ie),v(U,ie,null),t(V,He),t(V,se),f(e,he,c),f(e,K,c),v(W,K,null),t(K,Ie),t(K,ae),me=!0},p(e,[c]){const j={};c&2&&(j.$$scope={dirty:c,ctx:e}),y.$set(j)},i(e){me||($(L.$$.fragment,e),$(M.$$.fragment,e),$(H.$$.fragment,e),$(y.$$.fragment,e),$(I.$$.fragment,e),$(N.$$.fragment,e),$(z.$$.fragment,e),$(q.$$.fragment,e),$(G.$$.fragment,e),$(U.$$.fragment,e),$(W.$$.fragment,e),me=!0)},o(e){x(L.$$.fragment,e),x(M.$$.fragment,e),x(H.$$.fragment,e),x(y.$$.fragment,e),x(I.$$.fragment,e),x(N.$$.fragment,e),x(z.$$.fragment,e),x(q.$$.fragment,e),x(G.$$.fragment,e),x(U.$$.fragment,e),x(W.$$.fragment,e),me=!1},d(e){e&&(r(P),r(h),r(ce),r(A),r(le),r(S),r(ue),r(n),r(pe),r(V),r(he),r(K)),r(u),b(L),b(M),b(H),b(y),b(I),b(N),b(z),b(q),b(G),b(U),b(W)}}}const mt={local:"karrasvescheduler",sections:[{local:"diffusers.KarrasVeScheduler",title:"KarrasVeScheduler"},{local:"diffusers.schedulers.deprecated.scheduling_karras_ve.KarrasVeOutput",title:"KarrasVeOutput"}],title:"KarrasVeScheduler"};function ft(de){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bt extends dt{constructor(u){super(),ct(this,u,ft,ht,nt,{})}}export{bt as component};
