import{s as Nt,n as Mt,o as It}from"../chunks/scheduler.182ea377.js";import{S as Vt,i as Wt,g as a,s as l,p as k,A as jt,h as o,f as e,c as d,j as c,q,m as L,k as i,v as n,a as r,r as S,d as H,t as D,u as N}from"../chunks/index.008d68e4.js";import{D as bt}from"../chunks/Docstring.7aec8b85.js";import{I as mt}from"../chunks/IconCopyLink.96bbb92b.js";function zt(xt){let m,K,u,b,J,G,ut,M,$t="Activation functions",Q,w,Et="Customized activation functions for supporting various models in 🤗 Diffusers.",X,f,x,O,U,ft,I,Lt="GELU",Y,h,y,ht,V,Gt="GELU activation function with tanh approximation support with <code>approximate=&quot;tanh&quot;</code>.",Z,p,$,R,A,pt,W,wt="GEGLU",tt,v,C,vt,j,Ut='A <a href="https://arxiv.org/abs/2002.05202" rel="nofollow">variant</a> of the gated linear unit activation function.',et,g,E,B,T,gt,z,yt="ApproximateGELU",at,_,P,_t,F,At=`The approximate form of the Gaussian Error Linear Unit (GELU). For more details, see section 2 of this
<a href="https://arxiv.org/abs/1606.08415" rel="nofollow">paper</a>.`,ot;return G=new mt({}),U=new mt({}),y=new bt({props:{name:"class diffusers.models.activations.GELU",anchor:"diffusers.models.activations.GELU",parameters:[{name:"dim_in",val:": int"},{name:"dim_out",val:": int"},{name:"approximate",val:": str = 'none'"},{name:"bias",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.activations.GELU.dim_in",description:"<strong>dim_in</strong> (<code>int</code>) &#x2014; The number of channels in the input.",name:"dim_in"},{anchor:"diffusers.models.activations.GELU.dim_out",description:"<strong>dim_out</strong> (<code>int</code>) &#x2014; The number of channels in the output.",name:"dim_out"},{anchor:"diffusers.models.activations.GELU.approximate",description:"<strong>approximate</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014; If <code>&quot;tanh&quot;</code>, use tanh approximation.",name:"approximate"},{anchor:"diffusers.models.activations.GELU.bias",description:"<strong>bias</strong> (<code>bool</code>, defaults to True) &#x2014; Whether to use a bias in the linear layer.",name:"bias"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/activations.py#L50"}}),A=new mt({}),C=new bt({props:{name:"class diffusers.models.activations.GEGLU",anchor:"diffusers.models.activations.GEGLU",parameters:[{name:"dim_in",val:": int"},{name:"dim_out",val:": int"},{name:"bias",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.activations.GEGLU.dim_in",description:"<strong>dim_in</strong> (<code>int</code>) &#x2014; The number of channels in the input.",name:"dim_in"},{anchor:"diffusers.models.activations.GEGLU.dim_out",description:"<strong>dim_out</strong> (<code>int</code>) &#x2014; The number of channels in the output.",name:"dim_out"},{anchor:"diffusers.models.activations.GEGLU.bias",description:"<strong>bias</strong> (<code>bool</code>, defaults to True) &#x2014; Whether to use a bias in the linear layer.",name:"bias"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/activations.py#L78"}}),T=new mt({}),P=new bt({props:{name:"class diffusers.models.activations.ApproximateGELU",anchor:"diffusers.models.activations.ApproximateGELU",parameters:[{name:"dim_in",val:": int"},{name:"dim_out",val:": int"},{name:"bias",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.activations.ApproximateGELU.dim_in",description:"<strong>dim_in</strong> (<code>int</code>) &#x2014; The number of channels in the input.",name:"dim_in"},{anchor:"diffusers.models.activations.ApproximateGELU.dim_out",description:"<strong>dim_out</strong> (<code>int</code>) &#x2014; The number of channels in the output.",name:"dim_out"},{anchor:"diffusers.models.activations.ApproximateGELU.bias",description:"<strong>bias</strong> (<code>bool</code>, defaults to True) &#x2014; Whether to use a bias in the linear layer.",name:"bias"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/activations.py#L106"}}),{c(){m=a("meta"),K=l(),u=a("h1"),b=a("a"),J=a("span"),k(G.$$.fragment),ut=l(),M=a("span"),M.textContent=$t,Q=l(),w=a("p"),w.textContent=Et,X=l(),f=a("h2"),x=a("a"),O=a("span"),k(U.$$.fragment),ft=l(),I=a("span"),I.textContent=Lt,Y=l(),h=a("div"),k(y.$$.fragment),ht=l(),V=a("p"),V.innerHTML=Gt,Z=l(),p=a("h2"),$=a("a"),R=a("span"),k(A.$$.fragment),pt=l(),W=a("span"),W.textContent=wt,tt=l(),v=a("div"),k(C.$$.fragment),vt=l(),j=a("p"),j.innerHTML=Ut,et=l(),g=a("h2"),E=a("a"),B=a("span"),k(T.$$.fragment),gt=l(),z=a("span"),z.textContent=yt,at=l(),_=a("div"),k(P.$$.fragment),_t=l(),F=a("p"),F.innerHTML=At,this.h()},l(t){const s=jt("svelte-1phssyn",document.head);m=o(s,"META",{name:!0,content:!0}),s.forEach(e),K=d(t),u=o(t,"H1",{class:!0});var nt=c(u);b=o(nt,"A",{id:!0,class:!0,href:!0});var Ct=c(b);J=o(Ct,"SPAN",{});var Tt=c(J);q(G.$$.fragment,Tt),Tt.forEach(e),Ct.forEach(e),ut=d(nt),M=o(nt,"SPAN",{"data-svelte-h":!0}),L(M)!=="svelte-1tqtb3q"&&(M.textContent=$t),nt.forEach(e),Q=d(t),w=o(t,"P",{"data-svelte-h":!0}),L(w)!=="svelte-us8qu2"&&(w.textContent=Et),X=d(t),f=o(t,"H2",{class:!0});var it=c(f);x=o(it,"A",{id:!0,class:!0,href:!0});var Pt=c(x);O=o(Pt,"SPAN",{});var kt=c(O);q(U.$$.fragment,kt),kt.forEach(e),Pt.forEach(e),ft=d(it),I=o(it,"SPAN",{"data-svelte-h":!0}),L(I)!=="svelte-1k8r7rw"&&(I.textContent=Lt),it.forEach(e),Y=d(t),h=o(t,"DIV",{class:!0});var st=c(h);q(y.$$.fragment,st),ht=d(st),V=o(st,"P",{"data-svelte-h":!0}),L(V)!=="svelte-1uqox6j"&&(V.innerHTML=Gt),st.forEach(e),Z=d(t),p=o(t,"H2",{class:!0});var rt=c(p);$=o(rt,"A",{id:!0,class:!0,href:!0});var qt=c($);R=o(qt,"SPAN",{});var St=c(R);q(A.$$.fragment,St),St.forEach(e),qt.forEach(e),pt=d(rt),W=o(rt,"SPAN",{"data-svelte-h":!0}),L(W)!=="svelte-bcuwq1"&&(W.textContent=wt),rt.forEach(e),tt=d(t),v=o(t,"DIV",{class:!0});var lt=c(v);q(C.$$.fragment,lt),vt=d(lt),j=o(lt,"P",{"data-svelte-h":!0}),L(j)!=="svelte-120b58p"&&(j.innerHTML=Ut),lt.forEach(e),et=d(t),g=o(t,"H2",{class:!0});var dt=c(g);E=o(dt,"A",{id:!0,class:!0,href:!0});var Ht=c(E);B=o(Ht,"SPAN",{});var Dt=c(B);q(T.$$.fragment,Dt),Dt.forEach(e),Ht.forEach(e),gt=d(dt),z=o(dt,"SPAN",{"data-svelte-h":!0}),L(z)!=="svelte-12qiwnm"&&(z.textContent=yt),dt.forEach(e),at=d(t),_=o(t,"DIV",{class:!0});var ct=c(_);q(P.$$.fragment,ct),_t=d(ct),F=o(ct,"P",{"data-svelte-h":!0}),L(F)!=="svelte-1e2dlz3"&&(F.innerHTML=At),ct.forEach(e),this.h()},h(){i(m,"name","hf:doc:metadata"),i(m,"content",JSON.stringify(Ft)),i(b,"id","activation-functions"),i(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(b,"href","#activation-functions"),i(u,"class","relative group"),i(x,"id","diffusers.models.activations.GELU"),i(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(x,"href","#diffusers.models.activations.GELU"),i(f,"class","relative group"),i(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i($,"id","diffusers.models.activations.GEGLU"),i($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i($,"href","#diffusers.models.activations.GEGLU"),i(p,"class","relative group"),i(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(E,"id","diffusers.models.activations.ApproximateGELU"),i(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(E,"href","#diffusers.models.activations.ApproximateGELU"),i(g,"class","relative group"),i(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,s){n(document.head,m),r(t,K,s),r(t,u,s),n(u,b),n(b,J),S(G,J,null),n(u,ut),n(u,M),r(t,Q,s),r(t,w,s),r(t,X,s),r(t,f,s),n(f,x),n(x,O),S(U,O,null),n(f,ft),n(f,I),r(t,Y,s),r(t,h,s),S(y,h,null),n(h,ht),n(h,V),r(t,Z,s),r(t,p,s),n(p,$),n($,R),S(A,R,null),n(p,pt),n(p,W),r(t,tt,s),r(t,v,s),S(C,v,null),n(v,vt),n(v,j),r(t,et,s),r(t,g,s),n(g,E),n(E,B),S(T,B,null),n(g,gt),n(g,z),r(t,at,s),r(t,_,s),S(P,_,null),n(_,_t),n(_,F),ot=!0},p:Mt,i(t){ot||(H(G.$$.fragment,t),H(U.$$.fragment,t),H(y.$$.fragment,t),H(A.$$.fragment,t),H(C.$$.fragment,t),H(T.$$.fragment,t),H(P.$$.fragment,t),ot=!0)},o(t){D(G.$$.fragment,t),D(U.$$.fragment,t),D(y.$$.fragment,t),D(A.$$.fragment,t),D(C.$$.fragment,t),D(T.$$.fragment,t),D(P.$$.fragment,t),ot=!1},d(t){t&&(e(K),e(u),e(Q),e(w),e(X),e(f),e(Y),e(h),e(Z),e(p),e(tt),e(v),e(et),e(g),e(at),e(_)),e(m),N(G),N(U),N(y),N(A),N(C),N(T),N(P)}}}const Ft={local:"activation-functions",sections:[{local:"diffusers.models.activations.GELU",title:"GELU"},{local:"diffusers.models.activations.GEGLU",title:"GEGLU"},{local:"diffusers.models.activations.ApproximateGELU",title:"ApproximateGELU"}],title:"Activation functions"};function Jt(xt){return It(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qt extends Vt{constructor(m){super(),Wt(this,m,Jt,zt,Nt,{})}}export{Qt as component};
