import{s as as,o as ns,n as is}from"../chunks/scheduler.182ea377.js";import{S as rs,i as ls,g as i,s as l,p as h,A as os,h as a,f as t,c as o,j as d,q as m,m as c,k as u,v as n,a as r,r as g,d as $,t as v,u as _}from"../chunks/index.008d68e4.js";import{T as ss}from"../chunks/Tip.4f096367.js";import{D as pe}from"../chunks/Docstring.7aec8b85.js";import{C as Ct}from"../chunks/CodeBlock.5ed6eb7b.js";import{I as Ce}from"../chunks/IconCopyLink.96bbb92b.js";function us(de){let p,w="To check a specific pipeline or model output, refer to its corresponding API documentation.";return{c(){p=i("p"),p.textContent=w},l(f){p=a(f,"P",{"data-svelte-h":!0}),c(p)!=="svelte-60gd7d"&&(p.textContent=w)},m(f,b){r(f,p,b)},p:is,d(f){f&&t(p)}}}function ps(de){let p,w=`You can’t unpack a <code>BaseOutput</code> directly. Use the <a href="/docs/diffusers/main/en/api/outputs#diffusers.utils.BaseOutput.to_tuple">to_tuple()</a> method to convert it to a tuple
first.`;return{c(){p=i("p"),p.innerHTML=w},l(f){p=a(f,"P",{"data-svelte-h":!0}),c(p)!=="svelte-140uywr"&&(p.innerHTML=w)},m(f,b){r(f,p,b)},p:is,d(f){f&&t(p)}}}function ds(de){let p,w,f,b,Oe,F,pt,fe,Ot="Outputs",He,J,Lt='All model outputs are subclasses of <a href="/docs/diffusers/main/en/api/outputs#diffusers.utils.BaseOutput">BaseOutput</a>, data structures containing all the information returned by the model. The outputs can also be used as tuples or dictionaries.',Ne,j,Tt="For example:",Be,Z,Ve,q,kt='The <code>outputs</code> object is a <a href="/docs/diffusers/main/en/api/pipelines/consistency_models#diffusers.ImagePipelineOutput">ImagePipelineOutput</a> which means it has an image attribute.',Se,R,Et="You can access each attribute as you normally would or with a keyword lookup, and if that attribute is not returned by the model, you will get <code>None</code>:",Ue,G,ze,W,At=`When considering the <code>outputs</code> object as a tuple, it only considers the attributes that don’t have <code>None</code> values.
For instance, retrieving an image by indexing into it returns the tuple <code>(outputs.images)</code>:`,De,Q,Fe,A,Je,P,M,Le,X,dt,ce,Mt="BaseOutput",je,x,Y,ft,he,Ht=`Base class for all model outputs as dataclass. Has a <code>__getitem__</code> that allows indexing by integer or slice (like a
tuple) or strings (like a dictionary) that will ignore the <code>None</code> attributes. Otherwise behaves like a regular
Python dictionary.`,ct,H,ht,N,K,mt,me,Nt="Convert self to a tuple containing all the attributes/keys that are not <code>None</code>.",Ze,I,B,Te,ee,gt,ge,Bt="ImagePipelineOutput",qe,C,te,$t,$e,Vt="Output class for image pipelines.",Re,O,V,ke,se,vt,ve,St="FlaxImagePipelineOutput",Ge,y,ie,_t,_e,Ut="Output class for image pipelines.",xt,S,ae,bt,xe,zt="“Returns a new object replacing the specified fields with new values.",We,L,U,Ee,ne,yt,be,Dt="AudioPipelineOutput",Qe,T,re,wt,ye,Ft="Output class for audio pipelines.",Xe,k,z,Ae,le,Pt,we,Jt="ImageTextPipelineOutput",Ye,E,oe,It,Pe,jt="Output class for joint image-text pipelines.",Ke;return F=new Ce({}),Z=new Ct({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERESU1QaXBlbGluZSUwQSUwQXBpcGVsaW5lJTIwJTNEJTIwRERJTVBpcGVsaW5lLmZyb21fcHJldHJhaW5lZCglMjJnb29nbGUlMkZkZHBtLWNpZmFyMTAtMzIlMjIpJTBBb3V0cHV0cyUyMCUzRCUyMHBpcGVsaW5lKCk=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DDIMPipeline

pipeline = DDIMPipeline.from_pretrained(<span class="hljs-string">&quot;google/ddpm-cifar10-32&quot;</span>)
outputs = pipeline()`}}),G=new Ct({props:{code:"b3V0cHV0cy5pbWFnZXMlMEFvdXRwdXRzJTVCJTIyaW1hZ2VzJTIyJTVE",highlighted:`outputs.images
outputs[<span class="hljs-string">&quot;images&quot;</span>]`}}),Q=new Ct({props:{code:"b3V0cHV0cyU1QiUzQTElNUQ=",highlighted:'outputs[:<span class="hljs-number">1</span>]'}}),A=new ss({props:{$$slots:{default:[us]},$$scope:{ctx:de}}}),X=new Ce({}),Y=new pe({props:{name:"class diffusers.utils.BaseOutput",anchor:"diffusers.utils.BaseOutput",parameters:"",source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/outputs.py#L40"}}),H=new ss({props:{warning:!0,$$slots:{default:[ps]},$$scope:{ctx:de}}}),K=new pe({props:{name:"to_tuple",anchor:"diffusers.utils.BaseOutput.to_tuple",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/outputs.py#L126"}}),ee=new Ce({}),te=new pe({props:{name:"class diffusers.ImagePipelineOutput",anchor:"diffusers.ImagePipelineOutput",parameters:[{name:"images",val:": Union"}],parametersDescription:[{anchor:"diffusers.ImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L115"}}),se=new Ce({}),ie=new pe({props:{name:"class diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",parameters:[{name:"images",val:": Union"}],parametersDescription:[{anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_flax_utils.py#L87"}}),ae=new pe({props:{name:"replace",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/flax/struct.py#L110"}}),ne=new Ce({}),re=new pe({props:{name:"class diffusers.AudioPipelineOutput",anchor:"diffusers.AudioPipelineOutput",parameters:[{name:"audios",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.AudioPipelineOutput.audios",description:`<strong>audios</strong> (<code>np.ndarray</code>) &#x2014;
List of denoised audio samples of a NumPy array of shape <code>(batch_size, num_channels, sample_rate)</code>.`,name:"audios"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L129"}}),le=new Ce({}),oe=new pe({props:{name:"class diffusers.ImageTextPipelineOutput",anchor:"diffusers.ImageTextPipelineOutput",parameters:[{name:"images",val:": Union"},{name:"text",val:": Union"}],parametersDescription:[{anchor:"diffusers.ImageTextPipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"},{anchor:"diffusers.ImageTextPipelineOutput.text",description:`<strong>text</strong> (<code>List[str]</code> or <code>List[List[str]]</code>) &#x2014;
List of generated text strings of length <code>batch_size</code> or a list of list of strings whose outer list has
length <code>batch_size</code>.`,name:"text"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/unidiffuser/pipeline_unidiffuser.py#L33"}}),{c(){p=i("meta"),w=l(),f=i("h1"),b=i("a"),Oe=i("span"),h(F.$$.fragment),pt=l(),fe=i("span"),fe.textContent=Ot,He=l(),J=i("p"),J.innerHTML=Lt,Ne=l(),j=i("p"),j.textContent=Tt,Be=l(),h(Z.$$.fragment),Ve=l(),q=i("p"),q.innerHTML=kt,Se=l(),R=i("p"),R.innerHTML=Et,Ue=l(),h(G.$$.fragment),ze=l(),W=i("p"),W.innerHTML=At,De=l(),h(Q.$$.fragment),Fe=l(),h(A.$$.fragment),Je=l(),P=i("h2"),M=i("a"),Le=i("span"),h(X.$$.fragment),dt=l(),ce=i("span"),ce.textContent=Mt,je=l(),x=i("div"),h(Y.$$.fragment),ft=l(),he=i("p"),he.innerHTML=Ht,ct=l(),h(H.$$.fragment),ht=l(),N=i("div"),h(K.$$.fragment),mt=l(),me=i("p"),me.innerHTML=Nt,Ze=l(),I=i("h2"),B=i("a"),Te=i("span"),h(ee.$$.fragment),gt=l(),ge=i("span"),ge.textContent=Bt,qe=l(),C=i("div"),h(te.$$.fragment),$t=l(),$e=i("p"),$e.textContent=Vt,Re=l(),O=i("h2"),V=i("a"),ke=i("span"),h(se.$$.fragment),vt=l(),ve=i("span"),ve.textContent=St,Ge=l(),y=i("div"),h(ie.$$.fragment),_t=l(),_e=i("p"),_e.textContent=Ut,xt=l(),S=i("div"),h(ae.$$.fragment),bt=l(),xe=i("p"),xe.textContent=zt,We=l(),L=i("h2"),U=i("a"),Ee=i("span"),h(ne.$$.fragment),yt=l(),be=i("span"),be.textContent=Dt,Qe=l(),T=i("div"),h(re.$$.fragment),wt=l(),ye=i("p"),ye.textContent=Ft,Xe=l(),k=i("h2"),z=i("a"),Ae=i("span"),h(le.$$.fragment),Pt=l(),we=i("span"),we.textContent=Jt,Ye=l(),E=i("div"),h(oe.$$.fragment),It=l(),Pe=i("p"),Pe.textContent=jt,this.h()},l(e){const s=os("svelte-1phssyn",document.head);p=a(s,"META",{name:!0,content:!0}),s.forEach(t),w=o(e),f=a(e,"H1",{class:!0});var ue=d(f);b=a(ue,"A",{id:!0,class:!0,href:!0});var Me=d(b);Oe=a(Me,"SPAN",{});var Zt=d(Oe);m(F.$$.fragment,Zt),Zt.forEach(t),Me.forEach(t),pt=o(ue),fe=a(ue,"SPAN",{"data-svelte-h":!0}),c(fe)!=="svelte-83a4ap"&&(fe.textContent=Ot),ue.forEach(t),He=o(e),J=a(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-4sj20v"&&(J.innerHTML=Lt),Ne=o(e),j=a(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-1gkqha7"&&(j.textContent=Tt),Be=o(e),m(Z.$$.fragment,e),Ve=o(e),q=a(e,"P",{"data-svelte-h":!0}),c(q)!=="svelte-1l6tas2"&&(q.innerHTML=kt),Se=o(e),R=a(e,"P",{"data-svelte-h":!0}),c(R)!=="svelte-1ntwqaz"&&(R.innerHTML=Et),Ue=o(e),m(G.$$.fragment,e),ze=o(e),W=a(e,"P",{"data-svelte-h":!0}),c(W)!=="svelte-qzd8sf"&&(W.innerHTML=At),De=o(e),m(Q.$$.fragment,e),Fe=o(e),m(A.$$.fragment,e),Je=o(e),P=a(e,"H2",{class:!0});var et=d(P);M=a(et,"A",{id:!0,class:!0,href:!0});var qt=d(M);Le=a(qt,"SPAN",{});var Rt=d(Le);m(X.$$.fragment,Rt),Rt.forEach(t),qt.forEach(t),dt=o(et),ce=a(et,"SPAN",{"data-svelte-h":!0}),c(ce)!=="svelte-1bpig2d"&&(ce.textContent=Mt),et.forEach(t),je=o(e),x=a(e,"DIV",{class:!0});var D=d(x);m(Y.$$.fragment,D),ft=o(D),he=a(D,"P",{"data-svelte-h":!0}),c(he)!=="svelte-1qra1r9"&&(he.innerHTML=Ht),ct=o(D),m(H.$$.fragment,D),ht=o(D),N=a(D,"DIV",{class:!0});var tt=d(N);m(K.$$.fragment,tt),mt=o(tt),me=a(tt,"P",{"data-svelte-h":!0}),c(me)!=="svelte-1gdpts"&&(me.innerHTML=Nt),tt.forEach(t),D.forEach(t),Ze=o(e),I=a(e,"H2",{class:!0});var st=d(I);B=a(st,"A",{id:!0,class:!0,href:!0});var Gt=d(B);Te=a(Gt,"SPAN",{});var Wt=d(Te);m(ee.$$.fragment,Wt),Wt.forEach(t),Gt.forEach(t),gt=o(st),ge=a(st,"SPAN",{"data-svelte-h":!0}),c(ge)!=="svelte-1ula3t"&&(ge.textContent=Bt),st.forEach(t),qe=o(e),C=a(e,"DIV",{class:!0});var it=d(C);m(te.$$.fragment,it),$t=o(it),$e=a(it,"P",{"data-svelte-h":!0}),c($e)!=="svelte-19wetgi"&&($e.textContent=Vt),it.forEach(t),Re=o(e),O=a(e,"H2",{class:!0});var at=d(O);V=a(at,"A",{id:!0,class:!0,href:!0});var Qt=d(V);ke=a(Qt,"SPAN",{});var Xt=d(ke);m(se.$$.fragment,Xt),Xt.forEach(t),Qt.forEach(t),vt=o(at),ve=a(at,"SPAN",{"data-svelte-h":!0}),c(ve)!=="svelte-1492dzw"&&(ve.textContent=St),at.forEach(t),Ge=o(e),y=a(e,"DIV",{class:!0});var Ie=d(y);m(ie.$$.fragment,Ie),_t=o(Ie),_e=a(Ie,"P",{"data-svelte-h":!0}),c(_e)!=="svelte-19wetgi"&&(_e.textContent=Ut),xt=o(Ie),S=a(Ie,"DIV",{class:!0});var nt=d(S);m(ae.$$.fragment,nt),bt=o(nt),xe=a(nt,"P",{"data-svelte-h":!0}),c(xe)!=="svelte-5ihtpa"&&(xe.textContent=zt),nt.forEach(t),Ie.forEach(t),We=o(e),L=a(e,"H2",{class:!0});var rt=d(L);U=a(rt,"A",{id:!0,class:!0,href:!0});var Yt=d(U);Ee=a(Yt,"SPAN",{});var Kt=d(Ee);m(ne.$$.fragment,Kt),Kt.forEach(t),Yt.forEach(t),yt=o(rt),be=a(rt,"SPAN",{"data-svelte-h":!0}),c(be)!=="svelte-14yt0be"&&(be.textContent=Dt),rt.forEach(t),Qe=o(e),T=a(e,"DIV",{class:!0});var lt=d(T);m(re.$$.fragment,lt),wt=o(lt),ye=a(lt,"P",{"data-svelte-h":!0}),c(ye)!=="svelte-19ryw33"&&(ye.textContent=Ft),lt.forEach(t),Xe=o(e),k=a(e,"H2",{class:!0});var ot=d(k);z=a(ot,"A",{id:!0,class:!0,href:!0});var es=d(z);Ae=a(es,"SPAN",{});var ts=d(Ae);m(le.$$.fragment,ts),ts.forEach(t),es.forEach(t),Pt=o(ot),we=a(ot,"SPAN",{"data-svelte-h":!0}),c(we)!=="svelte-z6ncwe"&&(we.textContent=Jt),ot.forEach(t),Ye=o(e),E=a(e,"DIV",{class:!0});var ut=d(E);m(oe.$$.fragment,ut),It=o(ut),Pe=a(ut,"P",{"data-svelte-h":!0}),c(Pe)!=="svelte-1i2ycus"&&(Pe.textContent=jt),ut.forEach(t),this.h()},h(){u(p,"name","hf:doc:metadata"),u(p,"content",JSON.stringify(fs)),u(b,"id","outputs"),u(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(b,"href","#outputs"),u(f,"class","relative group"),u(M,"id","diffusers.utils.BaseOutput"),u(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(M,"href","#diffusers.utils.BaseOutput"),u(P,"class","relative group"),u(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(B,"id","diffusers.ImagePipelineOutput"),u(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(B,"href","#diffusers.ImagePipelineOutput"),u(I,"class","relative group"),u(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(V,"id","diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput"),u(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(V,"href","#diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput"),u(O,"class","relative group"),u(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(U,"id","diffusers.AudioPipelineOutput"),u(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(U,"href","#diffusers.AudioPipelineOutput"),u(L,"class","relative group"),u(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(z,"id","diffusers.ImageTextPipelineOutput"),u(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(z,"href","#diffusers.ImageTextPipelineOutput"),u(k,"class","relative group"),u(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){n(document.head,p),r(e,w,s),r(e,f,s),n(f,b),n(b,Oe),g(F,Oe,null),n(f,pt),n(f,fe),r(e,He,s),r(e,J,s),r(e,Ne,s),r(e,j,s),r(e,Be,s),g(Z,e,s),r(e,Ve,s),r(e,q,s),r(e,Se,s),r(e,R,s),r(e,Ue,s),g(G,e,s),r(e,ze,s),r(e,W,s),r(e,De,s),g(Q,e,s),r(e,Fe,s),g(A,e,s),r(e,Je,s),r(e,P,s),n(P,M),n(M,Le),g(X,Le,null),n(P,dt),n(P,ce),r(e,je,s),r(e,x,s),g(Y,x,null),n(x,ft),n(x,he),n(x,ct),g(H,x,null),n(x,ht),n(x,N),g(K,N,null),n(N,mt),n(N,me),r(e,Ze,s),r(e,I,s),n(I,B),n(B,Te),g(ee,Te,null),n(I,gt),n(I,ge),r(e,qe,s),r(e,C,s),g(te,C,null),n(C,$t),n(C,$e),r(e,Re,s),r(e,O,s),n(O,V),n(V,ke),g(se,ke,null),n(O,vt),n(O,ve),r(e,Ge,s),r(e,y,s),g(ie,y,null),n(y,_t),n(y,_e),n(y,xt),n(y,S),g(ae,S,null),n(S,bt),n(S,xe),r(e,We,s),r(e,L,s),n(L,U),n(U,Ee),g(ne,Ee,null),n(L,yt),n(L,be),r(e,Qe,s),r(e,T,s),g(re,T,null),n(T,wt),n(T,ye),r(e,Xe,s),r(e,k,s),n(k,z),n(z,Ae),g(le,Ae,null),n(k,Pt),n(k,we),r(e,Ye,s),r(e,E,s),g(oe,E,null),n(E,It),n(E,Pe),Ke=!0},p(e,[s]){const ue={};s&2&&(ue.$$scope={dirty:s,ctx:e}),A.$set(ue);const Me={};s&2&&(Me.$$scope={dirty:s,ctx:e}),H.$set(Me)},i(e){Ke||($(F.$$.fragment,e),$(Z.$$.fragment,e),$(G.$$.fragment,e),$(Q.$$.fragment,e),$(A.$$.fragment,e),$(X.$$.fragment,e),$(Y.$$.fragment,e),$(H.$$.fragment,e),$(K.$$.fragment,e),$(ee.$$.fragment,e),$(te.$$.fragment,e),$(se.$$.fragment,e),$(ie.$$.fragment,e),$(ae.$$.fragment,e),$(ne.$$.fragment,e),$(re.$$.fragment,e),$(le.$$.fragment,e),$(oe.$$.fragment,e),Ke=!0)},o(e){v(F.$$.fragment,e),v(Z.$$.fragment,e),v(G.$$.fragment,e),v(Q.$$.fragment,e),v(A.$$.fragment,e),v(X.$$.fragment,e),v(Y.$$.fragment,e),v(H.$$.fragment,e),v(K.$$.fragment,e),v(ee.$$.fragment,e),v(te.$$.fragment,e),v(se.$$.fragment,e),v(ie.$$.fragment,e),v(ae.$$.fragment,e),v(ne.$$.fragment,e),v(re.$$.fragment,e),v(le.$$.fragment,e),v(oe.$$.fragment,e),Ke=!1},d(e){e&&(t(w),t(f),t(He),t(J),t(Ne),t(j),t(Be),t(Ve),t(q),t(Se),t(R),t(Ue),t(ze),t(W),t(De),t(Fe),t(Je),t(P),t(je),t(x),t(Ze),t(I),t(qe),t(C),t(Re),t(O),t(Ge),t(y),t(We),t(L),t(Qe),t(T),t(Xe),t(k),t(Ye),t(E)),t(p),_(F),_(Z,e),_(G,e),_(Q,e),_(A,e),_(X),_(Y),_(H),_(K),_(ee),_(te),_(se),_(ie),_(ae),_(ne),_(re),_(le),_(oe)}}}const fs={local:"outputs",sections:[{local:"diffusers.utils.BaseOutput",title:"BaseOutput"},{local:"diffusers.ImagePipelineOutput",title:"ImagePipelineOutput"},{local:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",title:"FlaxImagePipelineOutput"},{local:"diffusers.AudioPipelineOutput",title:"AudioPipelineOutput"},{local:"diffusers.ImageTextPipelineOutput",title:"ImageTextPipelineOutput"}],title:"Outputs"};function cs(de){return ns(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xs extends rs{constructor(p){super(),ls(this,p,cs,ds,as,{})}}export{xs as component};
