import{s as Ge,n as Re,o as We}from"../chunks/scheduler.182ea377.js";import{S as Je,i as Ye,g as r,s as o,p as w,A as Qe,h as n,f as s,c as i,j as l,q as M,m as h,k as a,v as t,a as u,r as y,d as T,t as C,u as K}from"../chunks/index.008d68e4.js";import{D as Z}from"../chunks/Docstring.7aec8b85.js";import{I as ye}from"../chunks/IconCopyLink.96bbb92b.js";function Xe(Te){let f,ee,m,b,Y,k,me,U,Ce="KDPM2DiscreteScheduler",te,E,Ke='The <code>KDPM2DiscreteScheduler</code> is inspired by the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> paper, and the scheduler is ported from and created by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',se,L,ke='The original codebase can be found at <a href="https://github.com/crowsonkb/k-diffusion" rel="nofollow">crowsonkb/k-diffusion</a>.',re,g,D,Q,O,ge,V,Ee="KDPM2DiscreteScheduler",ne,d,A,_e,z,Le=`KDPM2DiscreteScheduler is inspired by the DPMSolver2 and Algorithm 2 from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of
Diffusion-Based Generative Models</a> paper.`,ve,B,Oe=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,be,S,H,De,j,Ae=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Se,$,N,$e,G,He="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",xe,x,F,Pe,R,Ne=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,oe,_,P,X,I,we,W,Fe="SchedulerOutput",ie,v,q,Me,J,Ie="Base class for the output of a scheduler’s <code>step</code> function.",ae;return k=new ye({}),O=new ye({}),A=new Z({props:{name:"class diffusers.KDPM2DiscreteScheduler",anchor:"diffusers.KDPM2DiscreteScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.00085"},{name:"beta_end",val:": float = 0.012"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.KDPM2DiscreteScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.KDPM2DiscreteScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.00085) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.KDPM2DiscreteScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.012) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.KDPM2DiscreteScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.KDPM2DiscreteScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.KDPM2DiscreteScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.KDPM2DiscreteScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.KDPM2DiscreteScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.KDPM2DiscreteScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_discrete.py#L71"}}),H=new Z({props:{name:"scale_model_input",anchor:"diffusers.KDPM2DiscreteScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Union"}],parametersDescription:[{anchor:"diffusers.KDPM2DiscreteScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.KDPM2DiscreteScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_discrete.py#L179",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),N=new Z({props:{name:"set_timesteps",anchor:"diffusers.KDPM2DiscreteScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"},{name:"num_train_timesteps",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.KDPM2DiscreteScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.KDPM2DiscreteScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_discrete.py#L209"}}),F=new Z({props:{name:"step",anchor:"diffusers.KDPM2DiscreteScheduler.step",parameters:[{name:"model_output",val:": Union"},{name:"timestep",val:": Union"},{name:"sample",val:": Union"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.KDPM2DiscreteScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.KDPM2DiscreteScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.KDPM2DiscreteScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.KDPM2DiscreteScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_discrete.py#L362",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),I=new ye({}),q=new Z({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),ee=o(),m=r("h1"),b=r("a"),Y=r("span"),w(k.$$.fragment),me=o(),U=r("span"),U.textContent=Ce,te=o(),E=r("p"),E.innerHTML=Ke,se=o(),L=r("p"),L.innerHTML=ke,re=o(),g=r("h2"),D=r("a"),Q=r("span"),w(O.$$.fragment),ge=o(),V=r("span"),V.textContent=Ee,ne=o(),d=r("div"),w(A.$$.fragment),_e=o(),z=r("p"),z.innerHTML=Le,ve=o(),B=r("p"),B.innerHTML=Oe,be=o(),S=r("div"),w(H.$$.fragment),De=o(),j=r("p"),j.textContent=Ae,Se=o(),$=r("div"),w(N.$$.fragment),$e=o(),G=r("p"),G.textContent=He,xe=o(),x=r("div"),w(F.$$.fragment),Pe=o(),R=r("p"),R.textContent=Ne,oe=o(),_=r("h2"),P=r("a"),X=r("span"),w(I.$$.fragment),we=o(),W=r("span"),W.textContent=Fe,ie=o(),v=r("div"),w(q.$$.fragment),Me=o(),J=r("p"),J.innerHTML=Ie,this.h()},l(e){const c=Qe("svelte-1phssyn",document.head);f=n(c,"META",{name:!0,content:!0}),c.forEach(s),ee=i(e),m=n(e,"H1",{class:!0});var de=l(m);b=n(de,"A",{id:!0,class:!0,href:!0});var qe=l(b);Y=n(qe,"SPAN",{});var Ue=l(Y);M(k.$$.fragment,Ue),Ue.forEach(s),qe.forEach(s),me=i(de),U=n(de,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-hsoho3"&&(U.textContent=Ce),de.forEach(s),te=i(e),E=n(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-1r1y5wx"&&(E.innerHTML=Ke),se=i(e),L=n(e,"P",{"data-svelte-h":!0}),h(L)!=="svelte-loovl7"&&(L.innerHTML=ke),re=i(e),g=n(e,"H2",{class:!0});var ce=l(g);D=n(ce,"A",{id:!0,class:!0,href:!0});var Ve=l(D);Q=n(Ve,"SPAN",{});var ze=l(Q);M(O.$$.fragment,ze),ze.forEach(s),Ve.forEach(s),ge=i(ce),V=n(ce,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-hsoho3"&&(V.textContent=Ee),ce.forEach(s),ne=i(e),d=n(e,"DIV",{class:!0});var p=l(d);M(A.$$.fragment,p),_e=i(p),z=n(p,"P",{"data-svelte-h":!0}),h(z)!=="svelte-iytw69"&&(z.innerHTML=Le),ve=i(p),B=n(p,"P",{"data-svelte-h":!0}),h(B)!=="svelte-linuuh"&&(B.innerHTML=Oe),be=i(p),S=n(p,"DIV",{class:!0});var le=l(S);M(H.$$.fragment,le),De=i(le),j=n(le,"P",{"data-svelte-h":!0}),h(j)!=="svelte-1rkfgpx"&&(j.textContent=Ae),le.forEach(s),Se=i(p),$=n(p,"DIV",{class:!0});var ue=l($);M(N.$$.fragment,ue),$e=i(ue),G=n(ue,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1vzm9q"&&(G.textContent=He),ue.forEach(s),xe=i(p),x=n(p,"DIV",{class:!0});var pe=l(x);M(F.$$.fragment,pe),Pe=i(pe),R=n(pe,"P",{"data-svelte-h":!0}),h(R)!=="svelte-hi84tp"&&(R.textContent=Ne),pe.forEach(s),p.forEach(s),oe=i(e),_=n(e,"H2",{class:!0});var he=l(_);P=n(he,"A",{id:!0,class:!0,href:!0});var Be=l(P);X=n(Be,"SPAN",{});var je=l(X);M(I.$$.fragment,je),je.forEach(s),Be.forEach(s),we=i(he),W=n(he,"SPAN",{"data-svelte-h":!0}),h(W)!=="svelte-1qoi9nz"&&(W.textContent=Fe),he.forEach(s),ie=i(e),v=n(e,"DIV",{class:!0});var fe=l(v);M(q.$$.fragment,fe),Me=i(fe),J=n(fe,"P",{"data-svelte-h":!0}),h(J)!=="svelte-6ojmkw"&&(J.innerHTML=Ie),fe.forEach(s),this.h()},h(){a(f,"name","hf:doc:metadata"),a(f,"content",JSON.stringify(Ze)),a(b,"id","kdpm2discretescheduler"),a(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(b,"href","#kdpm2discretescheduler"),a(m,"class","relative group"),a(D,"id","diffusers.KDPM2DiscreteScheduler"),a(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(D,"href","#diffusers.KDPM2DiscreteScheduler"),a(g,"class","relative group"),a(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(P,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),a(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(P,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),a(_,"class","relative group"),a(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){t(document.head,f),u(e,ee,c),u(e,m,c),t(m,b),t(b,Y),y(k,Y,null),t(m,me),t(m,U),u(e,te,c),u(e,E,c),u(e,se,c),u(e,L,c),u(e,re,c),u(e,g,c),t(g,D),t(D,Q),y(O,Q,null),t(g,ge),t(g,V),u(e,ne,c),u(e,d,c),y(A,d,null),t(d,_e),t(d,z),t(d,ve),t(d,B),t(d,be),t(d,S),y(H,S,null),t(S,De),t(S,j),t(d,Se),t(d,$),y(N,$,null),t($,$e),t($,G),t(d,xe),t(d,x),y(F,x,null),t(x,Pe),t(x,R),u(e,oe,c),u(e,_,c),t(_,P),t(P,X),y(I,X,null),t(_,we),t(_,W),u(e,ie,c),u(e,v,c),y(q,v,null),t(v,Me),t(v,J),ae=!0},p:Re,i(e){ae||(T(k.$$.fragment,e),T(O.$$.fragment,e),T(A.$$.fragment,e),T(H.$$.fragment,e),T(N.$$.fragment,e),T(F.$$.fragment,e),T(I.$$.fragment,e),T(q.$$.fragment,e),ae=!0)},o(e){C(k.$$.fragment,e),C(O.$$.fragment,e),C(A.$$.fragment,e),C(H.$$.fragment,e),C(N.$$.fragment,e),C(F.$$.fragment,e),C(I.$$.fragment,e),C(q.$$.fragment,e),ae=!1},d(e){e&&(s(ee),s(m),s(te),s(E),s(se),s(L),s(re),s(g),s(ne),s(d),s(oe),s(_),s(ie),s(v)),s(f),K(k),K(O),K(A),K(H),K(N),K(F),K(I),K(q)}}}const Ze={local:"kdpm2discretescheduler",sections:[{local:"diffusers.KDPM2DiscreteScheduler",title:"KDPM2DiscreteScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"KDPM2DiscreteScheduler"};function et(Te){return We(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ot extends Je{constructor(f){super(),Ye(this,f,et,Xe,Ge,{})}}export{ot as component};
