import{s as Be,n as je,o as Ge}from"../chunks/scheduler.182ea377.js";import{S as Ke,i as Re,g as r,s as a,p as P,A as We,h as o,f as s,c as i,j as c,q as y,m as h,k as n,v as t,a as p,r as M,d as w,t as T,u as C}from"../chunks/index.008d68e4.js";import{D as X}from"../chunks/Docstring.7aec8b85.js";import{I as Pe}from"../chunks/IconCopyLink.96bbb92b.js";function Je(ye){let f,Z,m,S,J,k,he,U,Me="DPMSolverSDEScheduler",ee,O,we='The <code>DPMSolverSDEScheduler</code> is inspired by the stochastic sampler from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> paper, and the scheduler is ported from and created by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',te,g,b,Y,L,fe,V,Te="DPMSolverSDEScheduler",se,d,N,me,z,Ce=`DPMSolverSDEScheduler implements the stochastic sampler from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based
Generative Models</a> paper.`,ge,B,ke=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,ve,D,A,_e,j,Oe=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Se,$,F,be,G,Le="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",De,x,I,$e,K,Ne=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,re,v,E,Q,q,xe,R,Ae="SchedulerOutput",oe,_,H,Ee,W,Fe="Base class for the output of a scheduler’s <code>step</code> function.",ne;return k=new Pe({}),L=new Pe({}),N=new X({props:{name:"class diffusers.DPMSolverSDEScheduler",anchor:"diffusers.DPMSolverSDEScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.00085"},{name:"beta_end",val:": float = 0.012"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"noise_sampler_seed",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverSDEScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.00085) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverSDEScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.012) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverSDEScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverSDEScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverSDEScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverSDEScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverSDEScheduler.noise_sampler_seed",description:`<strong>noise_sampler_seed</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The random seed to use for the noise sampler. If <code>None</code>, a random seed is generated.`,name:"noise_sampler_seed"},{anchor:"diffusers.DPMSolverSDEScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverSDEScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L124"}}),A=new X({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverSDEScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Union"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.DPMSolverSDEScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L255",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),F=new X({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverSDEScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"},{name:"num_train_timesteps",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverSDEScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L282"}}),I=new X({props:{name:"step",anchor:"diffusers.DPMSolverSDEScheduler.step",parameters:[{name:"model_output",val:": Union"},{name:"timestep",val:": Union"},{name:"sample",val:": Union"},{name:"return_dict",val:": bool = True"},{name:"s_noise",val:": float = 1.0"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code> or <code>np.ndarray</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSDEScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code> or <code>torch.FloatTensor</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSDEScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> or <code>np.ndarray</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverSDEScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"},{anchor:"diffusers.DPMSolverSDEScheduler.step.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Scaling factor for noise added to the sample.`,name:"s_noise"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L415",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),q=new Pe({}),H=new X({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),Z=a(),m=r("h1"),S=r("a"),J=r("span"),P(k.$$.fragment),he=a(),U=r("span"),U.textContent=Me,ee=a(),O=r("p"),O.innerHTML=we,te=a(),g=r("h2"),b=r("a"),Y=r("span"),P(L.$$.fragment),fe=a(),V=r("span"),V.textContent=Te,se=a(),d=r("div"),P(N.$$.fragment),me=a(),z=r("p"),z.innerHTML=Ce,ge=a(),B=r("p"),B.innerHTML=ke,ve=a(),D=r("div"),P(A.$$.fragment),_e=a(),j=r("p"),j.textContent=Oe,Se=a(),$=r("div"),P(F.$$.fragment),be=a(),G=r("p"),G.textContent=Le,De=a(),x=r("div"),P(I.$$.fragment),$e=a(),K=r("p"),K.textContent=Ne,re=a(),v=r("h2"),E=r("a"),Q=r("span"),P(q.$$.fragment),xe=a(),R=r("span"),R.textContent=Ae,oe=a(),_=r("div"),P(H.$$.fragment),Ee=a(),W=r("p"),W.innerHTML=Fe,this.h()},l(e){const l=We("svelte-1phssyn",document.head);f=o(l,"META",{name:!0,content:!0}),l.forEach(s),Z=i(e),m=o(e,"H1",{class:!0});var ae=c(m);S=o(ae,"A",{id:!0,class:!0,href:!0});var Ie=c(S);J=o(Ie,"SPAN",{});var qe=c(J);y(k.$$.fragment,qe),qe.forEach(s),Ie.forEach(s),he=i(ae),U=o(ae,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-1ymy9rw"&&(U.textContent=Me),ae.forEach(s),ee=i(e),O=o(e,"P",{"data-svelte-h":!0}),h(O)!=="svelte-f261ri"&&(O.innerHTML=we),te=i(e),g=o(e,"H2",{class:!0});var ie=c(g);b=o(ie,"A",{id:!0,class:!0,href:!0});var He=c(b);Y=o(He,"SPAN",{});var Ue=c(Y);y(L.$$.fragment,Ue),Ue.forEach(s),He.forEach(s),fe=i(ie),V=o(ie,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-1ymy9rw"&&(V.textContent=Te),ie.forEach(s),se=i(e),d=o(e,"DIV",{class:!0});var u=c(d);y(N.$$.fragment,u),me=i(u),z=o(u,"P",{"data-svelte-h":!0}),h(z)!=="svelte-2gqyak"&&(z.innerHTML=Ce),ge=i(u),B=o(u,"P",{"data-svelte-h":!0}),h(B)!=="svelte-linuuh"&&(B.innerHTML=ke),ve=i(u),D=o(u,"DIV",{class:!0});var de=c(D);y(A.$$.fragment,de),_e=i(de),j=o(de,"P",{"data-svelte-h":!0}),h(j)!=="svelte-1rkfgpx"&&(j.textContent=Oe),de.forEach(s),Se=i(u),$=o(u,"DIV",{class:!0});var le=c($);y(F.$$.fragment,le),be=i(le),G=o(le,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1vzm9q"&&(G.textContent=Le),le.forEach(s),De=i(u),x=o(u,"DIV",{class:!0});var ce=c(x);y(I.$$.fragment,ce),$e=i(ce),K=o(ce,"P",{"data-svelte-h":!0}),h(K)!=="svelte-hi84tp"&&(K.textContent=Ne),ce.forEach(s),u.forEach(s),re=i(e),v=o(e,"H2",{class:!0});var ue=c(v);E=o(ue,"A",{id:!0,class:!0,href:!0});var Ve=c(E);Q=o(Ve,"SPAN",{});var ze=c(Q);y(q.$$.fragment,ze),ze.forEach(s),Ve.forEach(s),xe=i(ue),R=o(ue,"SPAN",{"data-svelte-h":!0}),h(R)!=="svelte-1qoi9nz"&&(R.textContent=Ae),ue.forEach(s),oe=i(e),_=o(e,"DIV",{class:!0});var pe=c(_);y(H.$$.fragment,pe),Ee=i(pe),W=o(pe,"P",{"data-svelte-h":!0}),h(W)!=="svelte-6ojmkw"&&(W.innerHTML=Fe),pe.forEach(s),this.h()},h(){n(f,"name","hf:doc:metadata"),n(f,"content",JSON.stringify(Ye)),n(S,"id","dpmsolversdescheduler"),n(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(S,"href","#dpmsolversdescheduler"),n(m,"class","relative group"),n(b,"id","diffusers.DPMSolverSDEScheduler"),n(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(b,"href","#diffusers.DPMSolverSDEScheduler"),n(g,"class","relative group"),n(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),n($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),n(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),n(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),n(E,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),n(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(E,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),n(v,"class","relative group"),n(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,f),p(e,Z,l),p(e,m,l),t(m,S),t(S,J),M(k,J,null),t(m,he),t(m,U),p(e,ee,l),p(e,O,l),p(e,te,l),p(e,g,l),t(g,b),t(b,Y),M(L,Y,null),t(g,fe),t(g,V),p(e,se,l),p(e,d,l),M(N,d,null),t(d,me),t(d,z),t(d,ge),t(d,B),t(d,ve),t(d,D),M(A,D,null),t(D,_e),t(D,j),t(d,Se),t(d,$),M(F,$,null),t($,be),t($,G),t(d,De),t(d,x),M(I,x,null),t(x,$e),t(x,K),p(e,re,l),p(e,v,l),t(v,E),t(E,Q),M(q,Q,null),t(v,xe),t(v,R),p(e,oe,l),p(e,_,l),M(H,_,null),t(_,Ee),t(_,W),ne=!0},p:je,i(e){ne||(w(k.$$.fragment,e),w(L.$$.fragment,e),w(N.$$.fragment,e),w(A.$$.fragment,e),w(F.$$.fragment,e),w(I.$$.fragment,e),w(q.$$.fragment,e),w(H.$$.fragment,e),ne=!0)},o(e){T(k.$$.fragment,e),T(L.$$.fragment,e),T(N.$$.fragment,e),T(A.$$.fragment,e),T(F.$$.fragment,e),T(I.$$.fragment,e),T(q.$$.fragment,e),T(H.$$.fragment,e),ne=!1},d(e){e&&(s(Z),s(m),s(ee),s(O),s(te),s(g),s(se),s(d),s(re),s(v),s(oe),s(_)),s(f),C(k),C(L),C(N),C(A),C(F),C(I),C(q),C(H)}}}const Ye={local:"dpmsolversdescheduler",sections:[{local:"diffusers.DPMSolverSDEScheduler",title:"DPMSolverSDEScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverSDEScheduler"};function Qe(ye){return Ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class st extends Ke{constructor(f){super(),Re(this,f,Qe,Je,Be,{})}}export{st as component};
