import{s as je,n as Be,o as Je}from"../chunks/scheduler.182ea377.js";import{S as Re,i as We,g as r,s as i,p as y,A as Ge,h as n,f as s,c as a,j as u,q as D,m as p,k as o,v as t,a as h,r as M,d as I,t as N,u as C}from"../chunks/index.008d68e4.js";import{D as Y}from"../chunks/Docstring.7aec8b85.js";import{I as ye}from"../chunks/IconCopyLink.96bbb92b.js";function Ke(De){let f,Z,m,b,K,T,pe,q,Me="IPNDMScheduler",ee,k,Ie='<code>IPNDMScheduler</code> is a fourth-order Improved Pseudo Linear Multistep scheduler. The original implementation can be found at <a href="https://github.com/crowsonkb/v-diffusion-pytorch/blob/987f8985e38208345c1959b0ea767a625831cc9b/diffusion/sampling.py#L296" rel="nofollow">crowsonkb/v-diffusion-pytorch</a>.',te,g,$,Q,E,fe,z,Ne="IPNDMScheduler",se,d,L,me,U,Ce="A fourth-order Improved Pseudo Linear Multistep scheduler.",ge,j,Te=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,ve,x,O,_e,B,ke=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,be,S,A,$e,J,Ee="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",xe,P,F,Se,R,Le=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the linear multistep method. It performs one forward pass multiple times to approximate the solution.`,re,v,w,X,H,Pe,W,Oe="SchedulerOutput",ne,_,V,we,G,Ae="Base class for the output of a scheduler’s <code>step</code> function.",oe;return T=new ye({}),E=new ye({}),L=new Y({props:{name:"class diffusers.IPNDMScheduler",anchor:"diffusers.IPNDMScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"trained_betas",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.IPNDMScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L25"}}),O=new Y({props:{name:"scale_model_input",anchor:"diffusers.IPNDMScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L170",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),A=new Y({props:{name:"set_timesteps",anchor:"diffusers.IPNDMScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.IPNDMScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L67"}}),F=new Y({props:{name:"step",anchor:"diffusers.IPNDMScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.IPNDMScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.IPNDMScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.IPNDMScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L112",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),H=new ye({}),V=new Y({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),Z=i(),m=r("h1"),b=r("a"),K=r("span"),y(T.$$.fragment),pe=i(),q=r("span"),q.textContent=Me,ee=i(),k=r("p"),k.innerHTML=Ie,te=i(),g=r("h2"),$=r("a"),Q=r("span"),y(E.$$.fragment),fe=i(),z=r("span"),z.textContent=Ne,se=i(),d=r("div"),y(L.$$.fragment),me=i(),U=r("p"),U.textContent=Ce,ge=i(),j=r("p"),j.innerHTML=Te,ve=i(),x=r("div"),y(O.$$.fragment),_e=i(),B=r("p"),B.textContent=ke,be=i(),S=r("div"),y(A.$$.fragment),$e=i(),J=r("p"),J.textContent=Ee,xe=i(),P=r("div"),y(F.$$.fragment),Se=i(),R=r("p"),R.textContent=Le,re=i(),v=r("h2"),w=r("a"),X=r("span"),y(H.$$.fragment),Pe=i(),W=r("span"),W.textContent=Oe,ne=i(),_=r("div"),y(V.$$.fragment),we=i(),G=r("p"),G.innerHTML=Ae,this.h()},l(e){const l=Ge("svelte-1phssyn",document.head);f=n(l,"META",{name:!0,content:!0}),l.forEach(s),Z=a(e),m=n(e,"H1",{class:!0});var ie=u(m);b=n(ie,"A",{id:!0,class:!0,href:!0});var Fe=u(b);K=n(Fe,"SPAN",{});var He=u(K);D(T.$$.fragment,He),He.forEach(s),Fe.forEach(s),pe=a(ie),q=n(ie,"SPAN",{"data-svelte-h":!0}),p(q)!=="svelte-54526g"&&(q.textContent=Me),ie.forEach(s),ee=a(e),k=n(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-z0ks0i"&&(k.innerHTML=Ie),te=a(e),g=n(e,"H2",{class:!0});var ae=u(g);$=n(ae,"A",{id:!0,class:!0,href:!0});var Ve=u($);Q=n(Ve,"SPAN",{});var qe=u(Q);D(E.$$.fragment,qe),qe.forEach(s),Ve.forEach(s),fe=a(ae),z=n(ae,"SPAN",{"data-svelte-h":!0}),p(z)!=="svelte-54526g"&&(z.textContent=Ne),ae.forEach(s),se=a(e),d=n(e,"DIV",{class:!0});var c=u(d);D(L.$$.fragment,c),me=a(c),U=n(c,"P",{"data-svelte-h":!0}),p(U)!=="svelte-uir5v"&&(U.textContent=Ce),ge=a(c),j=n(c,"P",{"data-svelte-h":!0}),p(j)!=="svelte-linuuh"&&(j.innerHTML=Te),ve=a(c),x=n(c,"DIV",{class:!0});var de=u(x);D(O.$$.fragment,de),_e=a(de),B=n(de,"P",{"data-svelte-h":!0}),p(B)!=="svelte-1rkfgpx"&&(B.textContent=ke),de.forEach(s),be=a(c),S=n(c,"DIV",{class:!0});var le=u(S);D(A.$$.fragment,le),$e=a(le),J=n(le,"P",{"data-svelte-h":!0}),p(J)!=="svelte-1vzm9q"&&(J.textContent=Ee),le.forEach(s),xe=a(c),P=n(c,"DIV",{class:!0});var ue=u(P);D(F.$$.fragment,ue),Se=a(ue),R=n(ue,"P",{"data-svelte-h":!0}),p(R)!=="svelte-1n4l8et"&&(R.textContent=Le),ue.forEach(s),c.forEach(s),re=a(e),v=n(e,"H2",{class:!0});var ce=u(v);w=n(ce,"A",{id:!0,class:!0,href:!0});var ze=u(w);X=n(ze,"SPAN",{});var Ue=u(X);D(H.$$.fragment,Ue),Ue.forEach(s),ze.forEach(s),Pe=a(ce),W=n(ce,"SPAN",{"data-svelte-h":!0}),p(W)!=="svelte-1qoi9nz"&&(W.textContent=Oe),ce.forEach(s),ne=a(e),_=n(e,"DIV",{class:!0});var he=u(_);D(V.$$.fragment,he),we=a(he),G=n(he,"P",{"data-svelte-h":!0}),p(G)!=="svelte-6ojmkw"&&(G.innerHTML=Ae),he.forEach(s),this.h()},h(){o(f,"name","hf:doc:metadata"),o(f,"content",JSON.stringify(Qe)),o(b,"id","ipndmscheduler"),o(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(b,"href","#ipndmscheduler"),o(m,"class","relative group"),o($,"id","diffusers.IPNDMScheduler"),o($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o($,"href","#diffusers.IPNDMScheduler"),o(g,"class","relative group"),o(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(w,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),o(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(w,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),o(v,"class","relative group"),o(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,f),h(e,Z,l),h(e,m,l),t(m,b),t(b,K),M(T,K,null),t(m,pe),t(m,q),h(e,ee,l),h(e,k,l),h(e,te,l),h(e,g,l),t(g,$),t($,Q),M(E,Q,null),t(g,fe),t(g,z),h(e,se,l),h(e,d,l),M(L,d,null),t(d,me),t(d,U),t(d,ge),t(d,j),t(d,ve),t(d,x),M(O,x,null),t(x,_e),t(x,B),t(d,be),t(d,S),M(A,S,null),t(S,$e),t(S,J),t(d,xe),t(d,P),M(F,P,null),t(P,Se),t(P,R),h(e,re,l),h(e,v,l),t(v,w),t(w,X),M(H,X,null),t(v,Pe),t(v,W),h(e,ne,l),h(e,_,l),M(V,_,null),t(_,we),t(_,G),oe=!0},p:Be,i(e){oe||(I(T.$$.fragment,e),I(E.$$.fragment,e),I(L.$$.fragment,e),I(O.$$.fragment,e),I(A.$$.fragment,e),I(F.$$.fragment,e),I(H.$$.fragment,e),I(V.$$.fragment,e),oe=!0)},o(e){N(T.$$.fragment,e),N(E.$$.fragment,e),N(L.$$.fragment,e),N(O.$$.fragment,e),N(A.$$.fragment,e),N(F.$$.fragment,e),N(H.$$.fragment,e),N(V.$$.fragment,e),oe=!1},d(e){e&&(s(Z),s(m),s(ee),s(k),s(te),s(g),s(se),s(d),s(re),s(v),s(ne),s(_)),s(f),C(T),C(E),C(L),C(O),C(A),C(F),C(H),C(V)}}}const Qe={local:"ipndmscheduler",sections:[{local:"diffusers.IPNDMScheduler",title:"IPNDMScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"IPNDMScheduler"};function Xe(De){return Je(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class st extends Re{constructor(f){super(),We(this,f,Xe,Ke,je,{})}}export{st as component};
