import{s as Ge,n as Qe,o as Xe}from"../chunks/scheduler.182ea377.js";import{S as Ze,i as et,g as r,s as o,p as S,A as tt,h as n,f as s,c as i,j as l,q as b,m as h,k as a,v as t,a as p,r as $,d as x,t as D,u as L}from"../chunks/index.008d68e4.js";import{D as X}from"../chunks/Docstring.7aec8b85.js";import{I as Pe}from"../chunks/IconCopyLink.96bbb92b.js";function st(Ee){let f,se,m,M,Z,E,_e,z,Oe="LMSDiscreteScheduler",re,O,Fe='<code>LMSDiscreteScheduler</code> is a linear multistep scheduler for discrete beta schedules. The scheduler is ported from and created by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>, and the original implementation can be found at <a href="https://github.com/crowsonkb/k-diffusion/blob/481677d114f6ea445aa009cf5bd7a9cdee909e47/k_diffusion/sampling.py#L181" rel="nofollow">crowsonkb/k-diffusion</a>.',ne,g,w,ee,F,ve,j,Ae="LMSDiscreteScheduler",oe,d,A,Se,K,Ie="A linear multistep scheduler for discrete beta schedules.",be,R,Ne=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,$e,y,I,xe,W,qe="Compute the linear multistep coefficient.",De,T,N,Le,J,He=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Me,C,q,we,Y,Ve="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",ye,k,H,Te,B,Ue=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ie,_,P,te,V,Ce,G,ze="LMSDiscreteSchedulerOutput",ae,v,U,ke,Q,je="Output class for the scheduler’s <code>step</code> function output.",de;return E=new Pe({}),F=new Pe({}),A=new X({props:{name:"class diffusers.LMSDiscreteScheduler",anchor:"diffusers.LMSDiscreteScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.LMSDiscreteScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.LMSDiscreteScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.LMSDiscreteScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.LMSDiscreteScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.LMSDiscreteScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.LMSDiscreteScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.LMSDiscreteScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.LMSDiscreteScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.LMSDiscreteScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_lms_discrete.py#L92"}}),I=new X({props:{name:"get_lms_coefficient",anchor:"diffusers.LMSDiscreteScheduler.get_lms_coefficient",parameters:[{name:"order",val:""},{name:"t",val:""},{name:"current_order",val:""}],parametersDescription:[{anchor:"diffusers.LMSDiscreteScheduler.get_lms_coefficient.order",description:"<strong>order</strong> () &#x2014;",name:"order"},{anchor:"diffusers.LMSDiscreteScheduler.get_lms_coefficient.t",description:"<strong>t</strong> () &#x2014;",name:"t"},{anchor:"diffusers.LMSDiscreteScheduler.get_lms_coefficient.current_order",description:"<strong>current_order</strong> () &#x2014;",name:"current_order"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_lms_discrete.py#L214"}}),N=new X({props:{name:"scale_model_input",anchor:"diffusers.LMSDiscreteScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Union"}],parametersDescription:[{anchor:"diffusers.LMSDiscreteScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.LMSDiscreteScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>float</code> or <code>torch.FloatTensor</code>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_lms_discrete.py#L188",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),q=new X({props:{name:"set_timesteps",anchor:"diffusers.LMSDiscreteScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.LMSDiscreteScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.LMSDiscreteScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_lms_discrete.py#L236"}}),H=new X({props:{name:"step",anchor:"diffusers.LMSDiscreteScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": Union"},{name:"sample",val:": FloatTensor"},{name:"order",val:": int = 4"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.LMSDiscreteScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.LMSDiscreteScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code> or <code>torch.FloatTensor</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.LMSDiscreteScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.LMSDiscreteScheduler.step.order",description:`<strong>order</strong> (<code>int</code>, defaults to 4) &#x2014;
The order of the linear multistep method.`,name:"order"},{anchor:"diffusers.LMSDiscreteScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_lms_discrete.py#L343",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),V=new Pe({}),U=new X({props:{name:"class diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput",anchor:"diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"},{name:"pred_original_sample",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput.pred_original_sample",description:`<strong>pred_original_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted denoised sample <code>(x_{0})</code> based on the model output from the current timestep.
<code>pred_original_sample</code> can be used to preview progress or for guidance.`,name:"pred_original_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_lms_discrete.py#L28"}}),{c(){f=r("meta"),se=o(),m=r("h1"),M=r("a"),Z=r("span"),S(E.$$.fragment),_e=o(),z=r("span"),z.textContent=Oe,re=o(),O=r("p"),O.innerHTML=Fe,ne=o(),g=r("h2"),w=r("a"),ee=r("span"),S(F.$$.fragment),ve=o(),j=r("span"),j.textContent=Ae,oe=o(),d=r("div"),S(A.$$.fragment),Se=o(),K=r("p"),K.textContent=Ie,be=o(),R=r("p"),R.innerHTML=Ne,$e=o(),y=r("div"),S(I.$$.fragment),xe=o(),W=r("p"),W.textContent=qe,De=o(),T=r("div"),S(N.$$.fragment),Le=o(),J=r("p"),J.textContent=He,Me=o(),C=r("div"),S(q.$$.fragment),we=o(),Y=r("p"),Y.textContent=Ve,ye=o(),k=r("div"),S(H.$$.fragment),Te=o(),B=r("p"),B.textContent=Ue,ie=o(),_=r("h2"),P=r("a"),te=r("span"),S(V.$$.fragment),Ce=o(),G=r("span"),G.textContent=ze,ae=o(),v=r("div"),S(U.$$.fragment),ke=o(),Q=r("p"),Q.innerHTML=je,this.h()},l(e){const c=tt("svelte-1phssyn",document.head);f=n(c,"META",{name:!0,content:!0}),c.forEach(s),se=i(e),m=n(e,"H1",{class:!0});var ce=l(m);M=n(ce,"A",{id:!0,class:!0,href:!0});var Ke=l(M);Z=n(Ke,"SPAN",{});var Re=l(Z);b(E.$$.fragment,Re),Re.forEach(s),Ke.forEach(s),_e=i(ce),z=n(ce,"SPAN",{"data-svelte-h":!0}),h(z)!=="svelte-1ckq97d"&&(z.textContent=Oe),ce.forEach(s),re=i(e),O=n(e,"P",{"data-svelte-h":!0}),h(O)!=="svelte-1otp9cb"&&(O.innerHTML=Fe),ne=i(e),g=n(e,"H2",{class:!0});var le=l(g);w=n(le,"A",{id:!0,class:!0,href:!0});var We=l(w);ee=n(We,"SPAN",{});var Je=l(ee);b(F.$$.fragment,Je),Je.forEach(s),We.forEach(s),ve=i(le),j=n(le,"SPAN",{"data-svelte-h":!0}),h(j)!=="svelte-1ckq97d"&&(j.textContent=Ae),le.forEach(s),oe=i(e),d=n(e,"DIV",{class:!0});var u=l(d);b(A.$$.fragment,u),Se=i(u),K=n(u,"P",{"data-svelte-h":!0}),h(K)!=="svelte-1s0vl92"&&(K.textContent=Ie),be=i(u),R=n(u,"P",{"data-svelte-h":!0}),h(R)!=="svelte-linuuh"&&(R.innerHTML=Ne),$e=i(u),y=n(u,"DIV",{class:!0});var ue=l(y);b(I.$$.fragment,ue),xe=i(ue),W=n(ue,"P",{"data-svelte-h":!0}),h(W)!=="svelte-l6j38t"&&(W.textContent=qe),ue.forEach(s),De=i(u),T=n(u,"DIV",{class:!0});var pe=l(T);b(N.$$.fragment,pe),Le=i(pe),J=n(pe,"P",{"data-svelte-h":!0}),h(J)!=="svelte-1rkfgpx"&&(J.textContent=He),pe.forEach(s),Me=i(u),C=n(u,"DIV",{class:!0});var he=l(C);b(q.$$.fragment,he),we=i(he),Y=n(he,"P",{"data-svelte-h":!0}),h(Y)!=="svelte-1vzm9q"&&(Y.textContent=Ve),he.forEach(s),ye=i(u),k=n(u,"DIV",{class:!0});var fe=l(k);b(H.$$.fragment,fe),Te=i(fe),B=n(fe,"P",{"data-svelte-h":!0}),h(B)!=="svelte-hi84tp"&&(B.textContent=Ue),fe.forEach(s),u.forEach(s),ie=i(e),_=n(e,"H2",{class:!0});var me=l(_);P=n(me,"A",{id:!0,class:!0,href:!0});var Ye=l(P);te=n(Ye,"SPAN",{});var Be=l(te);b(V.$$.fragment,Be),Be.forEach(s),Ye.forEach(s),Ce=i(me),G=n(me,"SPAN",{"data-svelte-h":!0}),h(G)!=="svelte-1nx3ogi"&&(G.textContent=ze),me.forEach(s),ae=i(e),v=n(e,"DIV",{class:!0});var ge=l(v);b(U.$$.fragment,ge),ke=i(ge),Q=n(ge,"P",{"data-svelte-h":!0}),h(Q)!=="svelte-id9kic"&&(Q.innerHTML=je),ge.forEach(s),this.h()},h(){a(f,"name","hf:doc:metadata"),a(f,"content",JSON.stringify(rt)),a(M,"id","lmsdiscretescheduler"),a(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(M,"href","#lmsdiscretescheduler"),a(m,"class","relative group"),a(w,"id","diffusers.LMSDiscreteScheduler"),a(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(w,"href","#diffusers.LMSDiscreteScheduler"),a(g,"class","relative group"),a(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(P,"id","diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput"),a(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(P,"href","#diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput"),a(_,"class","relative group"),a(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){t(document.head,f),p(e,se,c),p(e,m,c),t(m,M),t(M,Z),$(E,Z,null),t(m,_e),t(m,z),p(e,re,c),p(e,O,c),p(e,ne,c),p(e,g,c),t(g,w),t(w,ee),$(F,ee,null),t(g,ve),t(g,j),p(e,oe,c),p(e,d,c),$(A,d,null),t(d,Se),t(d,K),t(d,be),t(d,R),t(d,$e),t(d,y),$(I,y,null),t(y,xe),t(y,W),t(d,De),t(d,T),$(N,T,null),t(T,Le),t(T,J),t(d,Me),t(d,C),$(q,C,null),t(C,we),t(C,Y),t(d,ye),t(d,k),$(H,k,null),t(k,Te),t(k,B),p(e,ie,c),p(e,_,c),t(_,P),t(P,te),$(V,te,null),t(_,Ce),t(_,G),p(e,ae,c),p(e,v,c),$(U,v,null),t(v,ke),t(v,Q),de=!0},p:Qe,i(e){de||(x(E.$$.fragment,e),x(F.$$.fragment,e),x(A.$$.fragment,e),x(I.$$.fragment,e),x(N.$$.fragment,e),x(q.$$.fragment,e),x(H.$$.fragment,e),x(V.$$.fragment,e),x(U.$$.fragment,e),de=!0)},o(e){D(E.$$.fragment,e),D(F.$$.fragment,e),D(A.$$.fragment,e),D(I.$$.fragment,e),D(N.$$.fragment,e),D(q.$$.fragment,e),D(H.$$.fragment,e),D(V.$$.fragment,e),D(U.$$.fragment,e),de=!1},d(e){e&&(s(se),s(m),s(re),s(O),s(ne),s(g),s(oe),s(d),s(ie),s(_),s(ae),s(v)),s(f),L(E),L(F),L(A),L(I),L(N),L(q),L(H),L(V),L(U)}}}const rt={local:"lmsdiscretescheduler",sections:[{local:"diffusers.LMSDiscreteScheduler",title:"LMSDiscreteScheduler"},{local:"diffusers.schedulers.scheduling_lms_discrete.LMSDiscreteSchedulerOutput",title:"LMSDiscreteSchedulerOutput"}],title:"LMSDiscreteScheduler"};function nt(Ee){return Xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ct extends Ze{constructor(f){super(),et(this,f,nt,st,Ge,{})}}export{ct as component};
