import{s as jt,o as Wt,n as Gt}from"../chunks/scheduler.182ea377.js";import{S as Jt,i as Rt,g as r,s as n,p as v,A as Ut,h as s,f as o,c as l,j as u,q as g,m as h,k as i,v as t,a as c,r as _,d as S,t as b,u as M}from"../chunks/index.008d68e4.js";import{T as Yt}from"../chunks/Tip.4f096367.js";import{D as w}from"../chunks/Docstring.7aec8b85.js";import{I as Re}from"../chunks/IconCopyLink.96bbb92b.js";function Bt($e){let m,H=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){m=r("p"),m.textContent=H},l(f){m=s(f,"P",{"data-svelte-h":!0}),h(m)!=="svelte-95n5s"&&(m.textContent=H)},m(f,D){c(f,m,D)},p:Gt,d(f){f&&o(m)}}}function Zt($e){let m,H,f,D,be,V,Ue,ne,ft="DPMSolverMultistepScheduler",Pe,z,vt='<code>DPMSolverMultistep</code> is a multistep scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',ye,j,gt=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,Te,$,C,Me,W,Ye,le,_t="Tips",we,G,St="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",Ce,J,bt=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,Fe,R,Mt="The SDE variant of DPMSolver and DPM-Solver++ is also supported, but only for the first and second-order solvers. This is a fast SDE solver for the reverse diffusion SDE. It is recommended to use the second-order <code>sde-dpmsolver++</code>.",Ee,P,F,De,U,Be,ae,Dt="DPMSolverMultistepScheduler",Le,d,Y,Ze,ie,xt="<code>DPMSolverMultistepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.",Ke,de,$t=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,Qe,x,B,Xe,ce,Pt=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,et,E,tt,L,Z,ot,ue,yt="One step for the first-order DPMSolver (equivalent to DDIM).",rt,k,K,st,pe,Tt="One step for the second-order multistep DPMSolver.",nt,O,Q,lt,he,wt="One step for the third-order multistep DPMSolver.",at,A,X,it,me,Ct=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,dt,I,ee,ct,fe,Ft="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",ut,N,te,pt,ve,Et=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,ke,y,q,xe,oe,ht,ge,Lt="SchedulerOutput",Oe,T,re,mt,_e,kt="Base class for the output of a scheduler’s <code>step</code> function.",Ae;return V=new Re({}),W=new Re({}),U=new Re({}),Y=new w({props:{name:"class diffusers.DPMSolverMultistepScheduler",anchor:"diffusers.DPMSolverMultistepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"use_lu_lambdas",val:": Optional = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_lu_lambdas",description:`<strong>use_lu_lambdas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the uniform-logSNR for step sizes proposed by Lu&#x2019;s DPM-Solver in the noise schedule during
the sampling process. If <code>True</code>, the sigmas and time steps are determined according to a sequence of
<code>lambda(t)</code>.`,name:"use_lu_lambdas"},{anchor:"diffusers.DPMSolverMultistepScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L74"}}),B=new w({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L399",returnDescription:`
<p>The converted model output.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),E=new Yt({props:{$$slots:{default:[Bt]},$$scope:{ctx:$e}}}),Z=new w({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L498",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),K=new w({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L567",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),Q=new w({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L690",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),X=new w({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L870",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),ee=new w({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L226"}}),te=new w({props:{name:"step",anchor:"diffusers.DPMSolverMultistepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L794",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),oe=new Re({}),re=new w({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){m=r("meta"),H=n(),f=r("h1"),D=r("a"),be=r("span"),v(V.$$.fragment),Ue=n(),ne=r("span"),ne.textContent=ft,Pe=n(),z=r("p"),z.innerHTML=vt,ye=n(),j=r("p"),j.textContent=gt,Te=n(),$=r("h2"),C=r("a"),Me=r("span"),v(W.$$.fragment),Ye=n(),le=r("span"),le.textContent=_t,we=n(),G=r("p"),G.innerHTML=St,Ce=n(),J=r("p"),J.innerHTML=bt,Fe=n(),R=r("p"),R.innerHTML=Mt,Ee=n(),P=r("h2"),F=r("a"),De=r("span"),v(U.$$.fragment),Be=n(),ae=r("span"),ae.textContent=Dt,Le=n(),d=r("div"),v(Y.$$.fragment),Ze=n(),ie=r("p"),ie.innerHTML=xt,Ke=n(),de=r("p"),de.innerHTML=$t,Qe=n(),x=r("div"),v(B.$$.fragment),Xe=n(),ce=r("p"),ce.textContent=Pt,et=n(),v(E.$$.fragment),tt=n(),L=r("div"),v(Z.$$.fragment),ot=n(),ue=r("p"),ue.textContent=yt,rt=n(),k=r("div"),v(K.$$.fragment),st=n(),pe=r("p"),pe.textContent=Tt,nt=n(),O=r("div"),v(Q.$$.fragment),lt=n(),he=r("p"),he.textContent=wt,at=n(),A=r("div"),v(X.$$.fragment),it=n(),me=r("p"),me.textContent=Ct,dt=n(),I=r("div"),v(ee.$$.fragment),ct=n(),fe=r("p"),fe.textContent=Ft,ut=n(),N=r("div"),v(te.$$.fragment),pt=n(),ve=r("p"),ve.textContent=Et,ke=n(),y=r("h2"),q=r("a"),xe=r("span"),v(oe.$$.fragment),ht=n(),ge=r("span"),ge.textContent=Lt,Oe=n(),T=r("div"),v(re.$$.fragment),mt=n(),_e=r("p"),_e.innerHTML=kt,this.h()},l(e){const a=Ut("svelte-1phssyn",document.head);m=s(a,"META",{name:!0,content:!0}),a.forEach(o),H=l(e),f=s(e,"H1",{class:!0});var se=u(f);D=s(se,"A",{id:!0,class:!0,href:!0});var Ot=u(D);be=s(Ot,"SPAN",{});var At=u(be);g(V.$$.fragment,At),At.forEach(o),Ot.forEach(o),Ue=l(se),ne=s(se,"SPAN",{"data-svelte-h":!0}),h(ne)!=="svelte-1mgjd77"&&(ne.textContent=ft),se.forEach(o),Pe=l(e),z=s(e,"P",{"data-svelte-h":!0}),h(z)!=="svelte-zo5ht"&&(z.innerHTML=vt),ye=l(e),j=s(e,"P",{"data-svelte-h":!0}),h(j)!=="svelte-l6rv24"&&(j.textContent=gt),Te=l(e),$=s(e,"H2",{class:!0});var Ie=u($);C=s(Ie,"A",{id:!0,class:!0,href:!0});var It=u(C);Me=s(It,"SPAN",{});var Nt=u(Me);g(W.$$.fragment,Nt),Nt.forEach(o),It.forEach(o),Ye=l(Ie),le=s(Ie,"SPAN",{"data-svelte-h":!0}),h(le)!=="svelte-12o6a2j"&&(le.textContent=_t),Ie.forEach(o),we=l(e),G=s(e,"P",{"data-svelte-h":!0}),h(G)!=="svelte-pt2glg"&&(G.innerHTML=St),Ce=l(e),J=s(e,"P",{"data-svelte-h":!0}),h(J)!=="svelte-1ng0gyl"&&(J.innerHTML=bt),Fe=l(e),R=s(e,"P",{"data-svelte-h":!0}),h(R)!=="svelte-18n28n2"&&(R.innerHTML=Mt),Ee=l(e),P=s(e,"H2",{class:!0});var Ne=u(P);F=s(Ne,"A",{id:!0,class:!0,href:!0});var qt=u(F);De=s(qt,"SPAN",{});var Ht=u(De);g(U.$$.fragment,Ht),Ht.forEach(o),qt.forEach(o),Be=l(Ne),ae=s(Ne,"SPAN",{"data-svelte-h":!0}),h(ae)!=="svelte-1mgjd77"&&(ae.textContent=Dt),Ne.forEach(o),Le=l(e),d=s(e,"DIV",{class:!0});var p=u(d);g(Y.$$.fragment,p),Ze=l(p),ie=s(p,"P",{"data-svelte-h":!0}),h(ie)!=="svelte-12v1qo2"&&(ie.innerHTML=xt),Ke=l(p),de=s(p,"P",{"data-svelte-h":!0}),h(de)!=="svelte-linuuh"&&(de.innerHTML=$t),Qe=l(p),x=s(p,"DIV",{class:!0});var Se=u(x);g(B.$$.fragment,Se),Xe=l(Se),ce=s(Se,"P",{"data-svelte-h":!0}),h(ce)!=="svelte-1st02i8"&&(ce.textContent=Pt),et=l(Se),g(E.$$.fragment,Se),Se.forEach(o),tt=l(p),L=s(p,"DIV",{class:!0});var qe=u(L);g(Z.$$.fragment,qe),ot=l(qe),ue=s(qe,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-4nw43d"&&(ue.textContent=yt),qe.forEach(o),rt=l(p),k=s(p,"DIV",{class:!0});var He=u(k);g(K.$$.fragment,He),st=l(He),pe=s(He,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-1d6o6zu"&&(pe.textContent=Tt),He.forEach(o),nt=l(p),O=s(p,"DIV",{class:!0});var Ve=u(O);g(Q.$$.fragment,Ve),lt=l(Ve),he=s(Ve,"P",{"data-svelte-h":!0}),h(he)!=="svelte-17nne8p"&&(he.textContent=wt),Ve.forEach(o),at=l(p),A=s(p,"DIV",{class:!0});var ze=u(A);g(X.$$.fragment,ze),it=l(ze),me=s(ze,"P",{"data-svelte-h":!0}),h(me)!=="svelte-1rkfgpx"&&(me.textContent=Ct),ze.forEach(o),dt=l(p),I=s(p,"DIV",{class:!0});var je=u(I);g(ee.$$.fragment,je),ct=l(je),fe=s(je,"P",{"data-svelte-h":!0}),h(fe)!=="svelte-1vzm9q"&&(fe.textContent=Ft),je.forEach(o),ut=l(p),N=s(p,"DIV",{class:!0});var We=u(N);g(te.$$.fragment,We),pt=l(We),ve=s(We,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-7jbjgx"&&(ve.textContent=Et),We.forEach(o),p.forEach(o),ke=l(e),y=s(e,"H2",{class:!0});var Ge=u(y);q=s(Ge,"A",{id:!0,class:!0,href:!0});var Vt=u(q);xe=s(Vt,"SPAN",{});var zt=u(xe);g(oe.$$.fragment,zt),zt.forEach(o),Vt.forEach(o),ht=l(Ge),ge=s(Ge,"SPAN",{"data-svelte-h":!0}),h(ge)!=="svelte-1qoi9nz"&&(ge.textContent=Lt),Ge.forEach(o),Oe=l(e),T=s(e,"DIV",{class:!0});var Je=u(T);g(re.$$.fragment,Je),mt=l(Je),_e=s(Je,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-6ojmkw"&&(_e.innerHTML=kt),Je.forEach(o),this.h()},h(){i(m,"name","hf:doc:metadata"),i(m,"content",JSON.stringify(Kt)),i(D,"id","dpmsolvermultistepscheduler"),i(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(D,"href","#dpmsolvermultistepscheduler"),i(f,"class","relative group"),i(C,"id","tips"),i(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(C,"href","#tips"),i($,"class","relative group"),i(F,"id","diffusers.DPMSolverMultistepScheduler"),i(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(F,"href","#diffusers.DPMSolverMultistepScheduler"),i(P,"class","relative group"),i(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(q,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),i(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(q,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),i(y,"class","relative group"),i(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,m),c(e,H,a),c(e,f,a),t(f,D),t(D,be),_(V,be,null),t(f,Ue),t(f,ne),c(e,Pe,a),c(e,z,a),c(e,ye,a),c(e,j,a),c(e,Te,a),c(e,$,a),t($,C),t(C,Me),_(W,Me,null),t($,Ye),t($,le),c(e,we,a),c(e,G,a),c(e,Ce,a),c(e,J,a),c(e,Fe,a),c(e,R,a),c(e,Ee,a),c(e,P,a),t(P,F),t(F,De),_(U,De,null),t(P,Be),t(P,ae),c(e,Le,a),c(e,d,a),_(Y,d,null),t(d,Ze),t(d,ie),t(d,Ke),t(d,de),t(d,Qe),t(d,x),_(B,x,null),t(x,Xe),t(x,ce),t(x,et),_(E,x,null),t(d,tt),t(d,L),_(Z,L,null),t(L,ot),t(L,ue),t(d,rt),t(d,k),_(K,k,null),t(k,st),t(k,pe),t(d,nt),t(d,O),_(Q,O,null),t(O,lt),t(O,he),t(d,at),t(d,A),_(X,A,null),t(A,it),t(A,me),t(d,dt),t(d,I),_(ee,I,null),t(I,ct),t(I,fe),t(d,ut),t(d,N),_(te,N,null),t(N,pt),t(N,ve),c(e,ke,a),c(e,y,a),t(y,q),t(q,xe),_(oe,xe,null),t(y,ht),t(y,ge),c(e,Oe,a),c(e,T,a),_(re,T,null),t(T,mt),t(T,_e),Ae=!0},p(e,[a]){const se={};a&2&&(se.$$scope={dirty:a,ctx:e}),E.$set(se)},i(e){Ae||(S(V.$$.fragment,e),S(W.$$.fragment,e),S(U.$$.fragment,e),S(Y.$$.fragment,e),S(B.$$.fragment,e),S(E.$$.fragment,e),S(Z.$$.fragment,e),S(K.$$.fragment,e),S(Q.$$.fragment,e),S(X.$$.fragment,e),S(ee.$$.fragment,e),S(te.$$.fragment,e),S(oe.$$.fragment,e),S(re.$$.fragment,e),Ae=!0)},o(e){b(V.$$.fragment,e),b(W.$$.fragment,e),b(U.$$.fragment,e),b(Y.$$.fragment,e),b(B.$$.fragment,e),b(E.$$.fragment,e),b(Z.$$.fragment,e),b(K.$$.fragment,e),b(Q.$$.fragment,e),b(X.$$.fragment,e),b(ee.$$.fragment,e),b(te.$$.fragment,e),b(oe.$$.fragment,e),b(re.$$.fragment,e),Ae=!1},d(e){e&&(o(H),o(f),o(Pe),o(z),o(ye),o(j),o(Te),o($),o(we),o(G),o(Ce),o(J),o(Fe),o(R),o(Ee),o(P),o(Le),o(d),o(ke),o(y),o(Oe),o(T)),o(m),M(V),M(W),M(U),M(Y),M(B),M(E),M(Z),M(K),M(Q),M(X),M(ee),M(te),M(oe),M(re)}}}const Kt={local:"dpmsolvermultistepscheduler",sections:[{local:"tips",title:"Tips"},{local:"diffusers.DPMSolverMultistepScheduler",title:"DPMSolverMultistepScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverMultistepScheduler"};function Qt($e){return Wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class so extends Jt{constructor(m){super(),Rt(this,m,Qt,Zt,jt,{})}}export{so as component};
