import{s as Ot,o as Nt,n as qt}from"../chunks/scheduler.182ea377.js";import{S as Ht,i as Vt,g as s,s as n,p as v,A as zt,h as o,f as r,c as l,j as c,q as g,m as h,k as i,v as t,a as p,r as _,d as S,t as b,u as M}from"../chunks/index.008d68e4.js";import{T as jt}from"../chunks/Tip.4f096367.js";import{D as I}from"../chunks/Docstring.7aec8b85.js";import{I as je}from"../chunks/IconCopyLink.96bbb92b.js";function Wt($e){let m,H=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){m=s("p"),m.textContent=H},l(f){m=o(f,"P",{"data-svelte-h":!0}),h(m)!=="svelte-95n5s"&&(m.textContent=H)},m(f,$){p(f,m,$)},p:qt,d(f){f&&r(m)}}}function Gt($e){let m,H,f,$,_e,V,We,se,ut="DPMSolverMultistepInverse",De,z,pt='<code>DPMSolverMultistepInverse</code> is the inverted scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',xe,j,ht='The implementation is mostly based on the DDIM inversion definition of <a href="https://huggingface.co/papers/2211.09794" rel="nofollow">Null-text Inversion for Editing Real Images using Guided Diffusion Models</a> and notebook implementation of the <code>DiffEdit</code> latent inversion from <a href="https://github.com/Xiang-cd/DiffEdit-stable-diffusion/blob/main/diffedit.ipynb" rel="nofollow">Xiang-cd/DiffEdit-stable-diffusion</a>.',ye,x,w,Se,W,Ge,oe,mt="Tips",Pe,G,ft=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,Te,y,C,be,J,Je,ne,vt="DPMSolverMultistepInverseScheduler",Ie,a,R,Re,le,gt='<code>DPMSolverMultistepInverseScheduler</code> is the reverse scheduler of <a href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler">DPMSolverMultistepScheduler</a>.',Ue,ie,_t=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,Ye,D,U,Be,ae,St=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,Xe,F,Ze,E,Y,Ke,de,bt="One step for the first-order DPMSolver (equivalent to DDIM).",Qe,k,B,et,ce,Mt="One step for the second-order multistep DPMSolver.",tt,L,X,rt,ue,$t="One step for the third-order multistep DPMSolver.",st,A,Z,ot,pe,Dt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,nt,O,K,lt,he,xt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",it,N,Q,at,me,yt=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,we,P,q,Me,ee,dt,fe,Pt="SchedulerOutput",Ce,T,te,ct,ve,Tt="Base class for the output of a scheduler’s <code>step</code> function.",Fe;return V=new je({}),W=new je({}),J=new je({}),R=new I({props:{name:"class diffusers.DPMSolverMultistepInverseScheduler",anchor:"diffusers.DPMSolverMultistepInverseScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L74"}}),U=new I({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L387",returnDescription:`
<p>The converted model output.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),F=new jt({props:{$$slots:{default:[Wt]},$$scope:{ctx:$e}}}),Y=new I({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L487",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),B=new I({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L557",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),X=new I({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L681",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),Z=new I({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepInverseScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L864",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),K=new I({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L222"}}),Q=new I({props:{name:"step",anchor:"diffusers.DPMSolverMultistepInverseScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L787",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),ee=new je({}),te=new I({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){m=s("meta"),H=n(),f=s("h1"),$=s("a"),_e=s("span"),v(V.$$.fragment),We=n(),se=s("span"),se.textContent=ut,De=n(),z=s("p"),z.innerHTML=pt,xe=n(),j=s("p"),j.innerHTML=ht,ye=n(),x=s("h2"),w=s("a"),Se=s("span"),v(W.$$.fragment),Ge=n(),oe=s("span"),oe.textContent=mt,Pe=n(),G=s("p"),G.innerHTML=ft,Te=n(),y=s("h2"),C=s("a"),be=s("span"),v(J.$$.fragment),Je=n(),ne=s("span"),ne.textContent=vt,Ie=n(),a=s("div"),v(R.$$.fragment),Re=n(),le=s("p"),le.innerHTML=gt,Ue=n(),ie=s("p"),ie.innerHTML=_t,Ye=n(),D=s("div"),v(U.$$.fragment),Be=n(),ae=s("p"),ae.textContent=St,Xe=n(),v(F.$$.fragment),Ze=n(),E=s("div"),v(Y.$$.fragment),Ke=n(),de=s("p"),de.textContent=bt,Qe=n(),k=s("div"),v(B.$$.fragment),et=n(),ce=s("p"),ce.textContent=Mt,tt=n(),L=s("div"),v(X.$$.fragment),rt=n(),ue=s("p"),ue.textContent=$t,st=n(),A=s("div"),v(Z.$$.fragment),ot=n(),pe=s("p"),pe.textContent=Dt,nt=n(),O=s("div"),v(K.$$.fragment),lt=n(),he=s("p"),he.textContent=xt,it=n(),N=s("div"),v(Q.$$.fragment),at=n(),me=s("p"),me.textContent=yt,we=n(),P=s("h2"),q=s("a"),Me=s("span"),v(ee.$$.fragment),dt=n(),fe=s("span"),fe.textContent=Pt,Ce=n(),T=s("div"),v(te.$$.fragment),ct=n(),ve=s("p"),ve.innerHTML=Tt,this.h()},l(e){const d=zt("svelte-1phssyn",document.head);m=o(d,"META",{name:!0,content:!0}),d.forEach(r),H=l(e),f=o(e,"H1",{class:!0});var re=c(f);$=o(re,"A",{id:!0,class:!0,href:!0});var It=c($);_e=o(It,"SPAN",{});var wt=c(_e);g(V.$$.fragment,wt),wt.forEach(r),It.forEach(r),We=l(re),se=o(re,"SPAN",{"data-svelte-h":!0}),h(se)!=="svelte-u6jsvi"&&(se.textContent=ut),re.forEach(r),De=l(e),z=o(e,"P",{"data-svelte-h":!0}),h(z)!=="svelte-9vmlu9"&&(z.innerHTML=pt),xe=l(e),j=o(e,"P",{"data-svelte-h":!0}),h(j)!=="svelte-jb4p1n"&&(j.innerHTML=ht),ye=l(e),x=o(e,"H2",{class:!0});var Ee=c(x);w=o(Ee,"A",{id:!0,class:!0,href:!0});var Ct=c(w);Se=o(Ct,"SPAN",{});var Ft=c(Se);g(W.$$.fragment,Ft),Ft.forEach(r),Ct.forEach(r),Ge=l(Ee),oe=o(Ee,"SPAN",{"data-svelte-h":!0}),h(oe)!=="svelte-12o6a2j"&&(oe.textContent=mt),Ee.forEach(r),Pe=l(e),G=o(e,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1ng0gyl"&&(G.innerHTML=ft),Te=l(e),y=o(e,"H2",{class:!0});var ke=c(y);C=o(ke,"A",{id:!0,class:!0,href:!0});var Et=c(C);be=o(Et,"SPAN",{});var kt=c(be);g(J.$$.fragment,kt),kt.forEach(r),Et.forEach(r),Je=l(ke),ne=o(ke,"SPAN",{"data-svelte-h":!0}),h(ne)!=="svelte-1nabc5r"&&(ne.textContent=vt),ke.forEach(r),Ie=l(e),a=o(e,"DIV",{class:!0});var u=c(a);g(R.$$.fragment,u),Re=l(u),le=o(u,"P",{"data-svelte-h":!0}),h(le)!=="svelte-25li7n"&&(le.innerHTML=gt),Ue=l(u),ie=o(u,"P",{"data-svelte-h":!0}),h(ie)!=="svelte-linuuh"&&(ie.innerHTML=_t),Ye=l(u),D=o(u,"DIV",{class:!0});var ge=c(D);g(U.$$.fragment,ge),Be=l(ge),ae=o(ge,"P",{"data-svelte-h":!0}),h(ae)!=="svelte-1st02i8"&&(ae.textContent=St),Xe=l(ge),g(F.$$.fragment,ge),ge.forEach(r),Ze=l(u),E=o(u,"DIV",{class:!0});var Le=c(E);g(Y.$$.fragment,Le),Ke=l(Le),de=o(Le,"P",{"data-svelte-h":!0}),h(de)!=="svelte-4nw43d"&&(de.textContent=bt),Le.forEach(r),Qe=l(u),k=o(u,"DIV",{class:!0});var Ae=c(k);g(B.$$.fragment,Ae),et=l(Ae),ce=o(Ae,"P",{"data-svelte-h":!0}),h(ce)!=="svelte-1d6o6zu"&&(ce.textContent=Mt),Ae.forEach(r),tt=l(u),L=o(u,"DIV",{class:!0});var Oe=c(L);g(X.$$.fragment,Oe),rt=l(Oe),ue=o(Oe,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-17nne8p"&&(ue.textContent=$t),Oe.forEach(r),st=l(u),A=o(u,"DIV",{class:!0});var Ne=c(A);g(Z.$$.fragment,Ne),ot=l(Ne),pe=o(Ne,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-1rkfgpx"&&(pe.textContent=Dt),Ne.forEach(r),nt=l(u),O=o(u,"DIV",{class:!0});var qe=c(O);g(K.$$.fragment,qe),lt=l(qe),he=o(qe,"P",{"data-svelte-h":!0}),h(he)!=="svelte-1vzm9q"&&(he.textContent=xt),qe.forEach(r),it=l(u),N=o(u,"DIV",{class:!0});var He=c(N);g(Q.$$.fragment,He),at=l(He),me=o(He,"P",{"data-svelte-h":!0}),h(me)!=="svelte-7jbjgx"&&(me.textContent=yt),He.forEach(r),u.forEach(r),we=l(e),P=o(e,"H2",{class:!0});var Ve=c(P);q=o(Ve,"A",{id:!0,class:!0,href:!0});var Lt=c(q);Me=o(Lt,"SPAN",{});var At=c(Me);g(ee.$$.fragment,At),At.forEach(r),Lt.forEach(r),dt=l(Ve),fe=o(Ve,"SPAN",{"data-svelte-h":!0}),h(fe)!=="svelte-1qoi9nz"&&(fe.textContent=Pt),Ve.forEach(r),Ce=l(e),T=o(e,"DIV",{class:!0});var ze=c(T);g(te.$$.fragment,ze),ct=l(ze),ve=o(ze,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-6ojmkw"&&(ve.innerHTML=Tt),ze.forEach(r),this.h()},h(){i(m,"name","hf:doc:metadata"),i(m,"content",JSON.stringify(Jt)),i($,"id","dpmsolvermultistepinverse"),i($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i($,"href","#dpmsolvermultistepinverse"),i(f,"class","relative group"),i(w,"id","tips"),i(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(w,"href","#tips"),i(x,"class","relative group"),i(C,"id","diffusers.DPMSolverMultistepInverseScheduler"),i(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(C,"href","#diffusers.DPMSolverMultistepInverseScheduler"),i(y,"class","relative group"),i(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(q,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),i(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(q,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),i(P,"class","relative group"),i(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,m),p(e,H,d),p(e,f,d),t(f,$),t($,_e),_(V,_e,null),t(f,We),t(f,se),p(e,De,d),p(e,z,d),p(e,xe,d),p(e,j,d),p(e,ye,d),p(e,x,d),t(x,w),t(w,Se),_(W,Se,null),t(x,Ge),t(x,oe),p(e,Pe,d),p(e,G,d),p(e,Te,d),p(e,y,d),t(y,C),t(C,be),_(J,be,null),t(y,Je),t(y,ne),p(e,Ie,d),p(e,a,d),_(R,a,null),t(a,Re),t(a,le),t(a,Ue),t(a,ie),t(a,Ye),t(a,D),_(U,D,null),t(D,Be),t(D,ae),t(D,Xe),_(F,D,null),t(a,Ze),t(a,E),_(Y,E,null),t(E,Ke),t(E,de),t(a,Qe),t(a,k),_(B,k,null),t(k,et),t(k,ce),t(a,tt),t(a,L),_(X,L,null),t(L,rt),t(L,ue),t(a,st),t(a,A),_(Z,A,null),t(A,ot),t(A,pe),t(a,nt),t(a,O),_(K,O,null),t(O,lt),t(O,he),t(a,it),t(a,N),_(Q,N,null),t(N,at),t(N,me),p(e,we,d),p(e,P,d),t(P,q),t(q,Me),_(ee,Me,null),t(P,dt),t(P,fe),p(e,Ce,d),p(e,T,d),_(te,T,null),t(T,ct),t(T,ve),Fe=!0},p(e,[d]){const re={};d&2&&(re.$$scope={dirty:d,ctx:e}),F.$set(re)},i(e){Fe||(S(V.$$.fragment,e),S(W.$$.fragment,e),S(J.$$.fragment,e),S(R.$$.fragment,e),S(U.$$.fragment,e),S(F.$$.fragment,e),S(Y.$$.fragment,e),S(B.$$.fragment,e),S(X.$$.fragment,e),S(Z.$$.fragment,e),S(K.$$.fragment,e),S(Q.$$.fragment,e),S(ee.$$.fragment,e),S(te.$$.fragment,e),Fe=!0)},o(e){b(V.$$.fragment,e),b(W.$$.fragment,e),b(J.$$.fragment,e),b(R.$$.fragment,e),b(U.$$.fragment,e),b(F.$$.fragment,e),b(Y.$$.fragment,e),b(B.$$.fragment,e),b(X.$$.fragment,e),b(Z.$$.fragment,e),b(K.$$.fragment,e),b(Q.$$.fragment,e),b(ee.$$.fragment,e),b(te.$$.fragment,e),Fe=!1},d(e){e&&(r(H),r(f),r(De),r(z),r(xe),r(j),r(ye),r(x),r(Pe),r(G),r(Te),r(y),r(Ie),r(a),r(we),r(P),r(Ce),r(T)),r(m),M(V),M(W),M(J),M(R),M(U),M(F),M(Y),M(B),M(X),M(Z),M(K),M(Q),M(ee),M(te)}}}const Jt={local:"dpmsolvermultistepinverse",sections:[{local:"tips",title:"Tips"},{local:"diffusers.DPMSolverMultistepInverseScheduler",title:"DPMSolverMultistepInverseScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverMultistepInverse"};function Rt($e){return Nt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Kt extends Ht{constructor(m){super(),Vt(this,m,Rt,Gt,Ot,{})}}export{Kt as component};
